var user_guides =
[
    [ "Foundation Classes", "occt_user_guides__foundation_classes.html", [
      [ "Introduction", "occt_user_guides__foundation_classes.html#occt_fcug_1", [
        [ "Root Classes", "occt_user_guides__foundation_classes.html#autotoc_md62", null ],
        [ "Strings", "occt_user_guides__foundation_classes.html#autotoc_md63", null ],
        [ "Collections", "occt_user_guides__foundation_classes.html#autotoc_md64", null ],
        [ "Collections of Standard Objects", "occt_user_guides__foundation_classes.html#autotoc_md65", null ],
        [ "Vectors and Matrices", "occt_user_guides__foundation_classes.html#autotoc_md66", null ],
        [ "Primitive Geometric Types", "occt_user_guides__foundation_classes.html#autotoc_md67", null ],
        [ "Common Math Algorithms", "occt_user_guides__foundation_classes.html#autotoc_md68", null ],
        [ "Exceptions", "occt_user_guides__foundation_classes.html#autotoc_md69", null ],
        [ "Quantities", "occt_user_guides__foundation_classes.html#autotoc_md70", null ],
        [ "Application services", "occt_user_guides__foundation_classes.html#autotoc_md71", null ]
      ] ],
      [ "Basics", "occt_user_guides__foundation_classes.html#occt_fcug_2", [
        [ "Library organization", "occt_user_guides__foundation_classes.html#occt_fcug_2_a", [
          [ "Modules and toolkits", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_1", null ],
          [ "Packages", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_2", null ],
          [ "Classes", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_3", null ],
          [ "Inheritance", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_5", null ]
        ] ],
        [ "Data Types", "occt_user_guides__foundation_classes.html#occt_fcug_2_1", [
          [ "Primitive Types", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_1", null ],
          [ "Types manipulated by value", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_2", null ],
          [ "Types manipulated by reference (handle)", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_3", null ],
          [ "When is it necessary to use a handle?", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_4", null ]
        ] ],
        [ "Programming with Handles", "occt_user_guides__foundation_classes.html#occt_fcug_2_2", [
          [ "Handle Definition", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_1", null ],
          [ "Organization of Classes", "occt_user_guides__foundation_classes.html#autotoc_md72", null ],
          [ "Using a Handle", "occt_user_guides__foundation_classes.html#autotoc_md73", null ],
          [ "Type Management", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_2", null ],
          [ "Type Conformity", "occt_user_guides__foundation_classes.html#autotoc_md74", null ],
          [ "Explicit Type Conversion", "occt_user_guides__foundation_classes.html#autotoc_md75", null ],
          [ "Using Handles to Create Objects", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_3", null ],
          [ "Invoking Methods", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_4", null ],
          [ "Invoking Class Methods", "occt_user_guides__foundation_classes.html#autotoc_md76", null ],
          [ "Handle deallocation", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_5", null ],
          [ "Cycles", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_6", null ]
        ] ],
        [ "Memory Management", "occt_user_guides__foundation_classes.html#occt_fcug_2_3", [
          [ "Usage of Memory Manager", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_1", null ],
          [ "How to configure the Memory Manager", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_2", null ],
          [ "Optimization Techniques", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_3", null ],
          [ "Benefits and drawbacks", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_4", null ]
        ] ],
        [ "Exceptions", "occt_user_guides__foundation_classes.html#occt_fcug_2_4", [
          [ "Introduction", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_1", null ],
          [ "Raising an Exception", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_2", null ],
          [ "\"C++ like\" Syntax", "occt_user_guides__foundation_classes.html#autotoc_md77", null ],
          [ "Regular usage", "occt_user_guides__foundation_classes.html#autotoc_md78", null ],
          [ "Handling an Exception", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_3", null ],
          [ "Catching signals", "occt_user_guides__foundation_classes.html#autotoc_md79", null ],
          [ "Implementation on various platforms", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_4", null ]
        ] ],
        [ "Plug-In Management", "occt_user_guides__foundation_classes.html#occt_fcug_2_5", [
          [ "Distribution by Plug-Ins", "occt_user_guides__foundation_classes.html#occt_fcug_2_5_1", null ],
          [ "C++ Plug-In Implementation", "occt_user_guides__foundation_classes.html#autotoc_md80", null ],
          [ "C++ Client Plug-In Implementation", "occt_user_guides__foundation_classes.html#autotoc_md81", null ]
        ] ]
      ] ],
      [ "Collections, Strings, Quantities and Unit Conversion", "occt_user_guides__foundation_classes.html#occt_fcug_3", [
        [ "Collections", "occt_user_guides__foundation_classes.html#occt_fcug_3_1", [
          [ "Overview", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_1", null ],
          [ "Arrays and sequences", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_2", [
            [ "NCollection_Array1", "occt_user_guides__foundation_classes.html#autotoc_md82", null ],
            [ "NCollection_Array2", "occt_user_guides__foundation_classes.html#autotoc_md83", null ],
            [ "NCollection_List", "occt_user_guides__foundation_classes.html#autotoc_md84", null ],
            [ "NCollection_Sequence", "occt_user_guides__foundation_classes.html#autotoc_md85", null ],
            [ "NCollection_Vector", "occt_user_guides__foundation_classes.html#autotoc_md86", null ],
            [ "NCollection_SparseArray", "occt_user_guides__foundation_classes.html#autotoc_md87", null ]
          ] ],
          [ "Maps", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_3", [
            [ "NCollection_DataMap", "occt_user_guides__foundation_classes.html#autotoc_md88", null ],
            [ "NCollection_DoubleMap", "occt_user_guides__foundation_classes.html#autotoc_md89", null ],
            [ "NCollection_IndexedDataMap", "occt_user_guides__foundation_classes.html#autotoc_md90", null ],
            [ "NCollection_IndexedMap", "occt_user_guides__foundation_classes.html#autotoc_md91", null ],
            [ "NCollection_Map", "occt_user_guides__foundation_classes.html#autotoc_md92", null ],
            [ "NCollection_DefaultHasher", "occt_user_guides__foundation_classes.html#autotoc_md93", null ]
          ] ],
          [ "Iterators", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_4", null ],
          [ "Allocators", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_5", null ],
          [ "Acceleration structures", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_6", [
            [ "NCollection_UBTree", "occt_user_guides__foundation_classes.html#autotoc_md94", null ],
            [ "NCollection_CellFilter", "occt_user_guides__foundation_classes.html#autotoc_md95", null ]
          ] ]
        ] ],
        [ "Collections of Standard Objects", "occt_user_guides__foundation_classes.html#occt_fcug_3_2", null ],
        [ "Strings", "occt_user_guides__foundation_classes.html#occt_fcug_3_4", null ],
        [ "Quantities", "occt_user_guides__foundation_classes.html#occt_fcug_3_5", null ],
        [ "Unit Conversion", "occt_user_guides__foundation_classes.html#occt_fcug_3_6", null ]
      ] ],
      [ "Math Primitives and Algorithms", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4", [
        [ "Overview", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_1", null ],
        [ "Vectors and Matrices", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_2", null ],
        [ "Primitive Geometric Types", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_3", null ],
        [ "Collections of Primitive Geometric Types", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_4", null ],
        [ "Basic Geometric Libraries", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_5", null ],
        [ "Common Math Algorithms", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_6", null ],
        [ "Precision", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_7", [
          [ "The Precision package", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_7_1", null ],
          [ "Standard Precision values", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_7_2", null ],
          [ "Precision::Angular", "occt_user_guides__foundation_classes.html#autotoc_md96", null ],
          [ "Precision::Confusion", "occt_user_guides__foundation_classes.html#autotoc_md97", null ],
          [ "Precision::Intersection", "occt_user_guides__foundation_classes.html#autotoc_md98", null ],
          [ "Precision::Approximation", "occt_user_guides__foundation_classes.html#autotoc_md99", null ]
        ] ]
      ] ]
    ] ],
    [ "Modeling Data", "occt_user_guides__modeling_data.html", [
      [ "Introduction", "occt_user_guides__modeling_data.html#occt_modat_0", null ],
      [ "Geometry Utilities", "occt_user_guides__modeling_data.html#occt_modat_1", [
        [ "Interpolations and Approximations", "occt_user_guides__modeling_data.html#occt_modat_1_1", [
          [ "Analysis of a set of points", "occt_user_guides__modeling_data.html#occt_modat_1_1_1", null ],
          [ "Basic Interpolation and Approximation", "occt_user_guides__modeling_data.html#occt_modat_1_1_2", null ],
          [ "2D Interpolation", "occt_user_guides__modeling_data.html#autotoc_md100", null ],
          [ "3D Interpolation", "occt_user_guides__modeling_data.html#autotoc_md101", null ],
          [ "2D Approximation", "occt_user_guides__modeling_data.html#autotoc_md102", null ],
          [ "3D Approximation", "occt_user_guides__modeling_data.html#autotoc_md103", null ],
          [ "Surface Approximation", "occt_user_guides__modeling_data.html#autotoc_md104", null ],
          [ "Advanced Approximation", "occt_user_guides__modeling_data.html#occt_modat_1_1_3", null ],
          [ "Approximation by multiple point constraints", "occt_user_guides__modeling_data.html#autotoc_md105", null ],
          [ "Approximation by parametric or geometric constraints", "occt_user_guides__modeling_data.html#autotoc_md106", null ],
          [ "Example: How to approximate a curve with respect to tangency", "occt_user_guides__modeling_data.html#autotoc_md107", null ]
        ] ],
        [ "Direct Construction", "occt_user_guides__modeling_data.html#occt_modat_1_2", [
          [ "Simple geometric entities", "occt_user_guides__modeling_data.html#occt_modat_1_2_1", null ],
          [ "Geometric entities manipulated by handle", "occt_user_guides__modeling_data.html#occt_modat_1_2_2", null ]
        ] ],
        [ "Conversion to and from BSplines", "occt_user_guides__modeling_data.html#occt_modat_1_3", null ],
        [ "Points on Curves", "occt_user_guides__modeling_data.html#occt_modat_1_4", null ],
        [ "Example: Visualizing a curve.", "occt_user_guides__modeling_data.html#autotoc_md108", null ],
        [ "Extrema", "occt_user_guides__modeling_data.html#occt_modat_1_5", null ],
        [ "Extrema between Point and Curve / Surface", "occt_user_guides__modeling_data.html#autotoc_md109", null ],
        [ "Extrema between Curves", "occt_user_guides__modeling_data.html#autotoc_md110", null ],
        [ "Extrema between Curve and Surface", "occt_user_guides__modeling_data.html#autotoc_md111", null ],
        [ "Extrema between Surfaces", "occt_user_guides__modeling_data.html#autotoc_md112", null ]
      ] ],
      [ "2D Geometry", "occt_user_guides__modeling_data.html#occt_modat_2", null ],
      [ "3D Geometry", "occt_user_guides__modeling_data.html#occt_modat_3", null ],
      [ "Topology", "occt_user_guides__modeling_data.html#occt_modat_5", [
        [ "Shape content", "occt_user_guides__modeling_data.html#occt_modat_5_2", [
          [ "Topological types", "occt_user_guides__modeling_data.html#occt_modat_5_2_1", null ],
          [ "Orientation", "occt_user_guides__modeling_data.html#occt_modat_5_2_2", null ],
          [ "State", "occt_user_guides__modeling_data.html#occt_modat_5_2_3", null ],
          [ "Shape Location", "occt_user_guides__modeling_data.html#occt_modat_5_1", null ]
        ] ]
      ] ],
      [ "Change of coordinates", "occt_user_guides__modeling_data.html#autotoc_md113", [
        [ "Manipulating shapes and sub-shapes", "occt_user_guides__modeling_data.html#occt_modat_5_3", null ]
      ] ],
      [ "Classes inheriting TopoDS_Shape", "occt_user_guides__modeling_data.html#autotoc_md114", [
        [ "Exploration of Topological Data Structures", "occt_user_guides__modeling_data.html#occt_modat_5_4", [
          [ "Lists and Maps of Shapes", "occt_user_guides__modeling_data.html#occt_modat_5_5", null ]
        ] ]
      ] ],
      [ "Properties of Shapes", "occt_user_guides__modeling_data.html#occt_modat_4", [
        [ "Local Properties of Shapes", "occt_user_guides__modeling_data.html#occt_modat_4_1", null ],
        [ "Local Properties of Curves and Surfaces", "occt_user_guides__modeling_data.html#occt_modat_4_2", [
          [ "Example: How to check the surface concavity", "occt_user_guides__modeling_data.html#autotoc_md115", null ]
        ] ],
        [ "Continuity of Curves and Surfaces", "occt_user_guides__modeling_data.html#occt_modat_4_2a", null ],
        [ "Regularity of Shared Edges", "occt_user_guides__modeling_data.html#occt_modat_4_2b", null ],
        [ "Global Properties of Shapes", "occt_user_guides__modeling_data.html#occt_modat_4_3", null ],
        [ "Adaptors for Curves and Surfaces", "occt_user_guides__modeling_data.html#occt_modat_4_4", null ]
      ] ],
      [ "Bounding boxes", "occt_user_guides__modeling_data.html#occt_modat_6", [
        [ "Brief description of some algorithms working with OBB", "occt_user_guides__modeling_data.html#occt_modat_6_1", [
          [ "Creation of OBB from set of points", "occt_user_guides__modeling_data.html#occt_modat_6_1_1", null ],
          [ "Creation of Optimal OBB from set of points", "occt_user_guides__modeling_data.html#occt_modat_6_1_1_opt", null ],
          [ "Creation of OBB based on Axes of inertia", "occt_user_guides__modeling_data.html#occt_modat_6_1_2", null ],
          [ "Method IsOut for a point", "occt_user_guides__modeling_data.html#occt_modat_6_1_3", null ],
          [ "Method IsOut for another OBB", "occt_user_guides__modeling_data.html#occt_modat_6_1_4", null ],
          [ "Method Add for point or another bounding box", "occt_user_guides__modeling_data.html#occt_modat_6_1_5", null ]
        ] ],
        [ "Add a shape", "occt_user_guides__modeling_data.html#occt_modat_6_2", null ],
        [ "Limitations of algorithm for OBB creation.", "occt_user_guides__modeling_data.html#occt_modat_6_3", null ]
      ] ]
    ] ],
    [ "Modeling Algorithms", "occt_user_guides__modeling_algos.html", [
      [ "Introduction", "occt_user_guides__modeling_algos.html#occt_modalg_1", null ],
      [ "Geometric Tools", "occt_user_guides__modeling_algos.html#occt_modalg_2", [
        [ "Intersections", "occt_user_guides__modeling_algos.html#occt_modalg_2_2", [
          [ "Intersection of two curves", "occt_user_guides__modeling_algos.html#occt_modalg_2_2_1", null ],
          [ "Intersection of Curves and Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_2_2", null ],
          [ "Intersection of two Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_2_3", null ]
        ] ],
        [ "Interpolations", "occt_user_guides__modeling_algos.html#occt_modalg_2_3", [
          [ "Geom2dAPI_Interpolate", "occt_user_guides__modeling_algos.html#occt_modalg_2_3_1", null ],
          [ "GeomAPI_Interpolate", "occt_user_guides__modeling_algos.html#occt_modalg_2_3_2", null ]
        ] ],
        [ "Lines and  Circles from Constraints", "occt_user_guides__modeling_algos.html#occt_modalg_2_4", [
          [ "Types of constraints", "occt_user_guides__modeling_algos.html#occt_modalg_2_4_1", null ],
          [ "Available types of lines and circles", "occt_user_guides__modeling_algos.html#occt_modalg_2_4_2", null ],
          [ "Exterior/Interior", "occt_user_guides__modeling_algos.html#autotoc_md116", null ],
          [ "Orientation of a Line", "occt_user_guides__modeling_algos.html#autotoc_md117", null ],
          [ "Line tangent to two circles", "occt_user_guides__modeling_algos.html#autotoc_md118", null ],
          [ "Circle of given radius tangent to two circles", "occt_user_guides__modeling_algos.html#autotoc_md119", null ],
          [ "Types of  algorithms", "occt_user_guides__modeling_algos.html#occt_modalg_2_4_3", null ]
        ] ],
        [ "Curves and Surfaces from Constraints", "occt_user_guides__modeling_algos.html#occt_modalg_2_5", [
          [ "Faired and Minimal Variation 2D Curves", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_1", null ],
          [ "Batten Curves", "occt_user_guides__modeling_algos.html#autotoc_md120", null ],
          [ "Minimal Variation Curves", "occt_user_guides__modeling_algos.html#autotoc_md121", null ],
          [ "Ruled Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_2", null ],
          [ "Creation of Bezier surfaces", "occt_user_guides__modeling_algos.html#autotoc_md122", null ],
          [ "Creation of BSpline surfaces", "occt_user_guides__modeling_algos.html#autotoc_md123", null ],
          [ "Pipe Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_3", null ],
          [ "Filling a contour", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_4", null ],
          [ "Creation of a Boundary", "occt_user_guides__modeling_algos.html#autotoc_md124", null ],
          [ "Creation of a Boundary with an adjoining surface", "occt_user_guides__modeling_algos.html#autotoc_md125", null ],
          [ "Filling styles", "occt_user_guides__modeling_algos.html#autotoc_md126", null ],
          [ "Plate surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_5", null ],
          [ "Definition of a Framework", "occt_user_guides__modeling_algos.html#autotoc_md127", null ],
          [ "Definition of a Curve Constraint", "occt_user_guides__modeling_algos.html#autotoc_md128", null ],
          [ "Definition of a Point Constraint", "occt_user_guides__modeling_algos.html#autotoc_md129", null ],
          [ "Applying Geom_Surface to Plate Surfaces", "occt_user_guides__modeling_algos.html#autotoc_md130", null ],
          [ "Approximating a Plate surface to a BSpline", "occt_user_guides__modeling_algos.html#autotoc_md131", null ]
        ] ],
        [ "Projections", "occt_user_guides__modeling_algos.html#occt_modalg_2_6", [
          [ "Projection of a 2D Point on a Curve", "occt_user_guides__modeling_algos.html#occt_modalg_2_6_1", null ],
          [ "Calling the number of solution points", "occt_user_guides__modeling_algos.html#autotoc_md132", null ],
          [ "Calling the location of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md133", null ],
          [ "Calling the parameter of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md134", null ],
          [ "Calling the distance between the start and end points", "occt_user_guides__modeling_algos.html#autotoc_md135", null ],
          [ "Calling the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md136", null ],
          [ "Calling the parameter of the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md137", null ],
          [ "Calling the minimum distance from the point to the curve", "occt_user_guides__modeling_algos.html#autotoc_md138", null ],
          [ "Redefined operators", "occt_user_guides__modeling_algos.html#autotoc_md139", null ],
          [ "Access to lower-level functionalities", "occt_user_guides__modeling_algos.html#autotoc_md140", null ],
          [ "Projection of a 3D Point on a Curve", "occt_user_guides__modeling_algos.html#occt_modalg_2_6_2", null ],
          [ "Calling the number of solution points", "occt_user_guides__modeling_algos.html#autotoc_md141", null ],
          [ "Calling the location of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md142", null ],
          [ "Calling the parameter of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md143", null ],
          [ "Calling the distance between the start and end point", "occt_user_guides__modeling_algos.html#autotoc_md144", null ],
          [ "Calling the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md145", null ],
          [ "Calling the parameter of the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md146", null ],
          [ "Calling the minimum distance from the point to the curve", "occt_user_guides__modeling_algos.html#autotoc_md147", null ],
          [ "Redefined  operators", "occt_user_guides__modeling_algos.html#autotoc_md148", null ],
          [ "Access to lower-level functionalities", "occt_user_guides__modeling_algos.html#autotoc_md149", null ],
          [ "Projection of a Point on a Surface", "occt_user_guides__modeling_algos.html#occt_modalg_2_6_3", null ],
          [ "Calling the number of solution points", "occt_user_guides__modeling_algos.html#autotoc_md150", null ],
          [ "Calling the location of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md151", null ],
          [ "Calling the parameters of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md152", null ],
          [ "Calling the distance between the start and end point", "occt_user_guides__modeling_algos.html#autotoc_md153", null ],
          [ "Calling the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md154", null ],
          [ "Calling the parameters of the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md155", null ],
          [ "Calling the minimum distance from a point to the surface", "occt_user_guides__modeling_algos.html#autotoc_md156", null ],
          [ "Redefined operators", "occt_user_guides__modeling_algos.html#autotoc_md157", null ],
          [ "Access to lower-level functionalities", "occt_user_guides__modeling_algos.html#autotoc_md158", null ],
          [ "Switching from 2d and 3d Curves", "occt_user_guides__modeling_algos.html#occt_modalg_2_12_8", null ]
        ] ]
      ] ],
      [ "Standard  Topological Objects", "occt_user_guides__modeling_algos.html#occt_modalg_3", [
        [ "Vertex", "occt_user_guides__modeling_algos.html#occt_modalg_3_1", null ],
        [ "Edge", "occt_user_guides__modeling_algos.html#occt_modalg_3_2", [
          [ "Basic edge construction method", "occt_user_guides__modeling_algos.html#occt_modalg_3_2_1", null ],
          [ "Supplementary edge construction methods", "occt_user_guides__modeling_algos.html#occt_modalg_3_2_2", null ],
          [ "Other information and error status", "occt_user_guides__modeling_algos.html#occt_modalg_3_2_3", null ]
        ] ],
        [ "Edge 2D", "occt_user_guides__modeling_algos.html#occt_modalg_3_3", null ],
        [ "Polygon", "occt_user_guides__modeling_algos.html#occt_modalg_3_4", null ],
        [ "Face", "occt_user_guides__modeling_algos.html#occt_modalg_3_5", [
          [ "Basic face construction method", "occt_user_guides__modeling_algos.html#occt_modalg_3_5_1", null ],
          [ "Supplementary face construction methods", "occt_user_guides__modeling_algos.html#occt_modalg_3_5_2", null ],
          [ "Error status", "occt_user_guides__modeling_algos.html#occt_modalg_3_5_3", null ]
        ] ],
        [ "Wire", "occt_user_guides__modeling_algos.html#occt_modalg_3_6", null ],
        [ "Shell", "occt_user_guides__modeling_algos.html#occt_modalg_3_7", null ],
        [ "Solid", "occt_user_guides__modeling_algos.html#occt_modalg_3_8", null ]
      ] ],
      [ "Primitives", "occt_user_guides__modeling_algos.html#occt_modalg_4", [
        [ "Making  Primitives", "occt_user_guides__modeling_algos.html#occt_modalg_4_1", [
          [ "Box", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_1", null ],
          [ "Wedge", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_2", null ],
          [ "Rotation object", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_3", null ],
          [ "Cylinder", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_4", null ],
          [ "Cone", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_5", null ],
          [ "Sphere", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_6", null ],
          [ "Torus", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_7", null ],
          [ "Revolution", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_8", null ]
        ] ],
        [ "Sweeping:  Prism, Revolution and Pipe", "occt_user_guides__modeling_algos.html#occt_modalg_4_2", [
          [ "Sweeping", "occt_user_guides__modeling_algos.html#occt_modalg_4_2_1", null ],
          [ "Prism", "occt_user_guides__modeling_algos.html#occt_modalg_4_2_2", null ],
          [ "Rotational Sweep", "occt_user_guides__modeling_algos.html#occt_modalg_4_2_3", null ]
        ] ]
      ] ],
      [ "Boolean Operations", "occt_user_guides__modeling_algos.html#occt_modalg_5", [
        [ "Input and Result Arguments", "occt_user_guides__modeling_algos.html#occt_modalg_5_1", null ],
        [ "Implementation", "occt_user_guides__modeling_algos.html#occt_modalg_5_2", [
          [ "Fuse", "occt_user_guides__modeling_algos.html#autotoc_md159", null ],
          [ "Common", "occt_user_guides__modeling_algos.html#autotoc_md160", null ],
          [ "Cut", "occt_user_guides__modeling_algos.html#autotoc_md161", null ],
          [ "Section", "occt_user_guides__modeling_algos.html#autotoc_md162", null ]
        ] ]
      ] ],
      [ "Topological Tools", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools", [
        [ "Creation of the faces from wireframe model", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_1", null ],
        [ "Classification of the shapes", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_2", null ],
        [ "Orientation of the shapes in the container", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_3", null ],
        [ "Making new shapes", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_4", null ],
        [ "Building PCurves", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_5", null ],
        [ "Checking the validity of the shapes", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_6", null ],
        [ "Taking a point inside the face", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_7", null ],
        [ "Getting normal for the face", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_8", null ]
      ] ],
      [ "The Topology API", "occt_user_guides__modeling_algos.html#occt_modalg_3a", [
        [ "History support", "occt_user_guides__modeling_algos.html#occt_modalg_hist", [
          [ "Deleted shapes", "occt_user_guides__modeling_algos.html#occt_modalg_hist_del", null ],
          [ "Modified shapes", "occt_user_guides__modeling_algos.html#occt_modalg_hist_mod", null ],
          [ "Generated shapes", "occt_user_guides__modeling_algos.html#occt_modalg_hist_gen", null ],
          [ "BRepTools_History", "occt_user_guides__modeling_algos.html#occt_modalg_hist_tool", null ],
          [ "DRAW history support", "occt_user_guides__modeling_algos.html#occt_modalg_hist_draw", null ]
        ] ],
        [ "Fillets and  Chamfers", "occt_user_guides__modeling_algos.html#occt_modalg_6", [
          [ "Fillets  <br>", "occt_user_guides__modeling_algos.html#occt_modalg_6_1", null ],
          [ "Fillet on shape", "occt_user_guides__modeling_algos.html#occt_modalg_6_1_1", null ]
        ] ],
        [ "Constant  radius", "occt_user_guides__modeling_algos.html#autotoc_md163", [
          [ "Changing radius", "occt_user_guides__modeling_algos.html#autotoc_md164", null ],
          [ "Chamfer", "occt_user_guides__modeling_algos.html#occt_modalg_6_1_2", null ],
          [ "Fillet on a planar face", "occt_user_guides__modeling_algos.html#occt_modalg_6_1_3", null ]
        ] ]
      ] ],
      [ "Planar Fillet", "occt_user_guides__modeling_algos.html#autotoc_md165", [
        [ "Offsets, Drafts, Pipes and Evolved shapes", "occt_user_guides__modeling_algos.html#occt_modalg_7", [
          [ "Offset computation", "occt_user_guides__modeling_algos.html#occt_modalg_7_1", null ],
          [ "Shelling", "occt_user_guides__modeling_algos.html#occt_modalg_7_2", null ],
          [ "Draft Angle", "occt_user_guides__modeling_algos.html#occt_modalg_7_3", null ],
          [ "Pipe  Constructor", "occt_user_guides__modeling_algos.html#occt_modalg_7_4", null ],
          [ "Evolved Solid", "occt_user_guides__modeling_algos.html#occt_modalg_7_5", null ]
        ] ],
        [ "Object Modification", "occt_user_guides__modeling_algos.html#occt_modalg_3b", [
          [ "Transformation", "occt_user_guides__modeling_algos.html#occt_modalg_3b_1", null ],
          [ "Duplication", "occt_user_guides__modeling_algos.html#occt_modalg_3b_2", null ]
        ] ],
        [ "Error Handling in the Topology API", "occt_user_guides__modeling_algos.html#occt_modalg_3a_1", null ],
        [ "Sewing", "occt_user_guides__modeling_algos.html#occt_modalg_8", [
          [ "Introduction", "occt_user_guides__modeling_algos.html#occt_modalg_8_1", null ],
          [ "Sewing Algorithm", "occt_user_guides__modeling_algos.html#occt_modalg_8_2", null ],
          [ "Example", "occt_user_guides__modeling_algos.html#autotoc_md166", null ],
          [ "Tolerance Management", "occt_user_guides__modeling_algos.html#occt_modalg_8_3", null ],
          [ "Manifold and Non-manifold Sewing", "occt_user_guides__modeling_algos.html#occt_modalg_8_4", null ],
          [ "Local Sewing", "occt_user_guides__modeling_algos.html#occt_modalg_8_5", null ]
        ] ],
        [ "Features", "occt_user_guides__modeling_algos.html#occt_modalg_9", [
          [ "Form Features", "occt_user_guides__modeling_algos.html#occt_modalg_9_1", null ],
          [ "Mechanical Features", "occt_user_guides__modeling_algos.html#occt_modalg_9_2", null ],
          [ "Split Shape", "occt_user_guides__modeling_algos.html#occt_modalg_9_2_4", null ]
        ] ],
        [ "3D Model Defeaturing", "occt_user_guides__modeling_algos.html#occt_modalg_defeaturing", [
          [ "Usage", "occt_user_guides__modeling_algos.html#occt_modalg_defeaturing_usage", null ],
          [ "Examples", "occt_user_guides__modeling_algos.html#occt_modalg_defeaturing_examples", null ]
        ] ],
        [ "3D Model Periodicity", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic", [
          [ "How the shape is made periodic", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_how_it_works", null ],
          [ "Opposite shapes association", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_association", null ],
          [ "Periodic shape repetition", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_repetition", null ],
          [ "History support", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_history", null ],
          [ "Errors/Warnings", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_errors", null ],
          [ "Usage", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_usage", null ],
          [ "Examples", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_examples", null ]
        ] ]
      ] ],
      [ "Hidden Line  Removal", "occt_user_guides__modeling_algos.html#occt_modalg_10", [
        [ "Loading Shapes", "occt_user_guides__modeling_algos.html#autotoc_md167", null ],
        [ "Setting view parameters", "occt_user_guides__modeling_algos.html#autotoc_md168", null ],
        [ "Computing the projections", "occt_user_guides__modeling_algos.html#autotoc_md169", null ],
        [ "Extracting edges", "occt_user_guides__modeling_algos.html#autotoc_md170", null ],
        [ "Examples", "occt_user_guides__modeling_algos.html#occt_modalg_10_1", null ],
        [ "HLRBRep_Algo", "occt_user_guides__modeling_algos.html#autotoc_md171", null ],
        [ "HLRBRep_PolyAlgo", "occt_user_guides__modeling_algos.html#autotoc_md172", null ]
      ] ],
      [ "Making touching shapes connected", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected", [
        [ "Material association", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_materials", null ],
        [ "Making connected shape periodic", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_makeperiodic", null ],
        [ "History support", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_history", null ],
        [ "Errors/Warnings", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_errors", null ],
        [ "Usage", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_usage", null ]
      ] ]
    ] ],
    [ "Mesh", "occt_user_guides__mesh.html", [
      [ "Mesh presentations", "occt_user_guides__mesh.html#occt_modalg_11_1", null ],
      [ "Meshing algorithm", "occt_user_guides__mesh.html#occt_modalg_11_2", null ],
      [ "BRepMesh Architecture", "occt_user_guides__mesh.html#occt_modalg_11_3", [
        [ "Goals", "occt_user_guides__mesh.html#occt_modalg_11_3_1", null ],
        [ "General workflow", "occt_user_guides__mesh.html#occt_modalg_11_3_2", null ],
        [ "Common interfaces", "occt_user_guides__mesh.html#occt_modalg_11_3_3", null ],
        [ "Create model data structure", "occt_user_guides__mesh.html#occt_modalg_11_3_4", [
          [ "Data model interface", "occt_user_guides__mesh.html#autotoc_md173", null ],
          [ "Collecting data model", "occt_user_guides__mesh.html#autotoc_md174", null ]
        ] ],
        [ "Discretize edges 3D & 2D curves", "occt_user_guides__mesh.html#occt_modalg_11_3_5", null ],
        [ "Heal discrete model", "occt_user_guides__mesh.html#occt_modalg_11_3_6", null ],
        [ "Preprocess discrete model", "occt_user_guides__mesh.html#occt_modalg_11_3_7", null ],
        [ "Discretize faces", "occt_user_guides__mesh.html#occt_modalg_11_3_8", [
          [ "Range splitter", "occt_user_guides__mesh.html#autotoc_md175", null ]
        ] ],
        [ "Postprocess discrete model", "occt_user_guides__mesh.html#occt_modalg_11_3_9", null ]
      ] ]
    ] ],
    [ "Shape Healing", "occt_user_guides__shape_healing.html", [
      [ "Overview", "occt_user_guides__shape_healing.html#occt_shg_1", [
        [ "Introduction", "occt_user_guides__shape_healing.html#occt_shg_1_1", null ],
        [ "Examples of use", "occt_user_guides__shape_healing.html#occt_shg_1_2", [
          [ "Face with missing seam edge", "occt_user_guides__shape_healing.html#autotoc_md176", null ],
          [ "Wrong orientation of wires", "occt_user_guides__shape_healing.html#autotoc_md177", null ],
          [ "Self-intersecting wire", "occt_user_guides__shape_healing.html#autotoc_md178", null ],
          [ "Lacking edge", "occt_user_guides__shape_healing.html#autotoc_md179", null ]
        ] ],
        [ "Toolkit Structure", "occt_user_guides__shape_healing.html#occt_shg_1_3", null ],
        [ "Querying the statuses", "occt_user_guides__shape_healing.html#occt_shg_1_4", null ]
      ] ],
      [ "Repair", "occt_user_guides__shape_healing.html#occt_shg_2", [
        [ "Basic Shape Repair", "occt_user_guides__shape_healing.html#occt_shg_2_1", null ],
        [ "Shape Correction.", "occt_user_guides__shape_healing.html#occt_shg_2_2", [
          [ "Fixing sub-shapes", "occt_user_guides__shape_healing.html#occt_shg_2_2_1", null ]
        ] ],
        [ "Repairing tools", "occt_user_guides__shape_healing.html#occt_shg_2_3", [
          [ "General Workflow", "occt_user_guides__shape_healing.html#occt_shg_2_3_1", null ],
          [ "Flags Management", "occt_user_guides__shape_healing.html#occt_shg_2_3_2", null ],
          [ "Repairing tool for shapes", "occt_user_guides__shape_healing.html#occt_shg_2_3_3", null ],
          [ "Repairing tool for solids", "occt_user_guides__shape_healing.html#occt_shg_2_3_4", null ],
          [ "Repairing tool for shells", "occt_user_guides__shape_healing.html#occt_shg_2_3_5", null ],
          [ "Repairing tool for faces", "occt_user_guides__shape_healing.html#occt_shg_2_3_6", null ],
          [ "Repairing tool for wires", "occt_user_guides__shape_healing.html#occt_shg_2_3_7", null ],
          [ "Fixing disordered edges", "occt_user_guides__shape_healing.html#autotoc_md180", null ],
          [ "Fixing small edges", "occt_user_guides__shape_healing.html#autotoc_md181", null ],
          [ "Fixing disconnected edges", "occt_user_guides__shape_healing.html#autotoc_md182", null ],
          [ "Fixing the consistency of edge curves", "occt_user_guides__shape_healing.html#autotoc_md183", null ],
          [ "Fixing degenerated edges", "occt_user_guides__shape_healing.html#autotoc_md184", null ],
          [ "Fixing intersections of 2D curves of the edges", "occt_user_guides__shape_healing.html#autotoc_md185", null ],
          [ "Fixing a lacking edge", "occt_user_guides__shape_healing.html#autotoc_md186", null ],
          [ "Fixing gaps in 2D and 3D wire by geometrical filling", "occt_user_guides__shape_healing.html#autotoc_md187", null ],
          [ "Example: A custom set of fixes", "occt_user_guides__shape_healing.html#autotoc_md188", null ],
          [ "Example: Correction of a wire", "occt_user_guides__shape_healing.html#autotoc_md189", null ],
          [ "Repairing tool for edges", "occt_user_guides__shape_healing.html#occt_shg_2_3_8", null ],
          [ "Repairing tool for the wireframe of a shape", "occt_user_guides__shape_healing.html#occt_shg_2_3_9", null ],
          [ "Tool for removing small faces from a shape", "occt_user_guides__shape_healing.html#occt_shg_2_3_10", null ],
          [ "Tool to modify  tolerances of shapes (Class ShapeFix_ShapeTolerance).", "occt_user_guides__shape_healing.html#occt_shg_2_3_11", null ]
        ] ]
      ] ],
      [ "Analysis", "occt_user_guides__shape_healing.html#occt_shg_3", [
        [ "Analysis of shape validity", "occt_user_guides__shape_healing.html#occt_shg_3_1", [
          [ "Analysis of orientation of wires on a face.", "occt_user_guides__shape_healing.html#occt_shg_3_1_1", null ],
          [ "Analysis of wire validity", "occt_user_guides__shape_healing.html#occt_shg_3_1_2", null ],
          [ "Analysis of edge validity", "occt_user_guides__shape_healing.html#occt_shg_3_1_3", null ],
          [ "Analysis of presence of small faces", "occt_user_guides__shape_healing.html#occt_shg_3_1_4", null ],
          [ "Analysis of shell validity and closure", "occt_user_guides__shape_healing.html#occt_shg_3_1_5", null ]
        ] ],
        [ "Analysis of shape properties.", "occt_user_guides__shape_healing.html#occt_shg_3_2", [
          [ "Analysis of tolerance on shape", "occt_user_guides__shape_healing.html#occt_shg_3_2_1", null ],
          [ "Analysis of free boundaries.", "occt_user_guides__shape_healing.html#occt_shg_3_2_2", null ],
          [ "Analysis of shape contents", "occt_user_guides__shape_healing.html#occt_shg_3_2_3", null ]
        ] ]
      ] ],
      [ "Upgrading", "occt_user_guides__shape_healing.html#occt_shg_4", [
        [ "Tools for splitting a shape according to a specified criterion", "occt_user_guides__shape_healing.html#occt_shg_4_1", [
          [ "Overview", "occt_user_guides__shape_healing.html#occt_shg_4_1_1", null ],
          [ "Using tools available for shape splitting.", "occt_user_guides__shape_healing.html#occt_shg_4_1_2", null ],
          [ "Creation of a new tool for splitting a shape.", "occt_user_guides__shape_healing.html#occt_shg_4_1_3", null ]
        ] ],
        [ "General splitting tools.", "occt_user_guides__shape_healing.html#occt_shg_4_2", [
          [ "General tool for shape splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_1", null ],
          [ "General tool for face splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_2", null ],
          [ "General tool for wire splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_3", null ],
          [ "General tool for edge splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_4", null ],
          [ "General tools for geometry splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_5", null ]
        ] ],
        [ "Specific splitting tools.", "occt_user_guides__shape_healing.html#occt_shg_4_3", [
          [ "Conversion of shape geometry to the target continuity", "occt_user_guides__shape_healing.html#occt_shg_4_3_1", null ],
          [ "Splitting by angle", "occt_user_guides__shape_healing.html#occt_shg_4_3_2", null ],
          [ "Conversion of 2D, 3D curves and surfaces to Bezier", "occt_user_guides__shape_healing.html#occt_shg_4_3_3", null ],
          [ "Tool for splitting closed faces", "occt_user_guides__shape_healing.html#occt_shg_4_3_4", null ],
          [ "Tool for splitting a C0 BSpline 2D or 3D curve to a sequence C1 BSpline curves", "occt_user_guides__shape_healing.html#occt_shg_4_3_5", null ],
          [ "Tool for splitting faces", "occt_user_guides__shape_healing.html#occt_shg_4_3_6", null ],
          [ "Additional methods", "occt_user_guides__shape_healing.html#autotoc_md190", null ]
        ] ],
        [ "Customization of shapes", "occt_user_guides__shape_healing.html#occt_shg_4_4", [
          [ "Conversion of indirect surfaces.", "occt_user_guides__shape_healing.html#occt_shg_4_4_1", null ],
          [ "Shape Scaling", "occt_user_guides__shape_healing.html#occt_shg_4_4_2", null ],
          [ "Conversion of curves and surfaces to BSpline", "occt_user_guides__shape_healing.html#occt_shg_4_4_3", null ],
          [ "Flags", "occt_user_guides__shape_healing.html#autotoc_md191", null ],
          [ "Conversion of elementary surfaces into surfaces of revolution", "occt_user_guides__shape_healing.html#occt_shg_4_4_4", null ],
          [ "Conversion of elementary surfaces into Bspline surfaces", "occt_user_guides__shape_healing.html#occt_shg_4_4_5", null ],
          [ "Getting the history of modification of sub-shapes.", "occt_user_guides__shape_healing.html#occt_shg_4_4_6", null ],
          [ "Remove internal wires", "occt_user_guides__shape_healing.html#occt_shg_4_4_7", null ],
          [ "Conversion of surfaces", "occt_user_guides__shape_healing.html#occt_shg_4_4_8", null ],
          [ "Unify Same Domain", "occt_user_guides__shape_healing.html#occt_shg_4_4_9", null ]
        ] ]
      ] ],
      [ "Auxiliary tools for repairing, analysis and upgrading", "occt_user_guides__shape_healing.html#occt_shg_5_", [
        [ "Tool for rebuilding shapes", "occt_user_guides__shape_healing.html#occt_shg_5_1", null ],
        [ "Status definition", "occt_user_guides__shape_healing.html#occt_shg_5_2", null ],
        [ "Tool representing a wire", "occt_user_guides__shape_healing.html#occt_shg_5_3", null ],
        [ "Tool for exploring shapes", "occt_user_guides__shape_healing.html#occt_shg_5_4", null ],
        [ "Tool for attaching messages to objects", "occt_user_guides__shape_healing.html#occt_shg_5_5", null ],
        [ "Tools for performance measurement", "occt_user_guides__shape_healing.html#occt_shg_5_6", null ]
      ] ],
      [ "Shape Processing", "occt_user_guides__shape_healing.html#occt_shg_6", [
        [ "Usage Workflow", "occt_user_guides__shape_healing.html#occt_shg_6_1", null ],
        [ "Operators", "occt_user_guides__shape_healing.html#occt_shg_6_2", null ],
        [ "DirectFaces", "occt_user_guides__shape_healing.html#autotoc_md192", null ],
        [ "SameParameter", "occt_user_guides__shape_healing.html#autotoc_md193", null ],
        [ "BSplineRestriction", "occt_user_guides__shape_healing.html#autotoc_md194", null ],
        [ "ElementaryToRevolution", "occt_user_guides__shape_healing.html#autotoc_md195", null ],
        [ "SplitAngle", "occt_user_guides__shape_healing.html#autotoc_md196", null ],
        [ "SurfaceToBSpline", "occt_user_guides__shape_healing.html#autotoc_md197", null ],
        [ "ToBezier", "occt_user_guides__shape_healing.html#autotoc_md198", null ],
        [ "SplitContinuity", "occt_user_guides__shape_healing.html#autotoc_md199", null ],
        [ "SplitClosedFaces", "occt_user_guides__shape_healing.html#autotoc_md200", null ],
        [ "FixGaps", "occt_user_guides__shape_healing.html#autotoc_md201", null ],
        [ "FixFaceSize", "occt_user_guides__shape_healing.html#autotoc_md202", null ],
        [ "DropSmallEdges", "occt_user_guides__shape_healing.html#autotoc_md203", null ],
        [ "FixShape", "occt_user_guides__shape_healing.html#autotoc_md204", null ],
        [ "SplitClosedEdges", "occt_user_guides__shape_healing.html#autotoc_md205", null ]
      ] ],
      [ "Messaging mechanism", "occt_user_guides__shape_healing.html#occt_shg_7", [
        [ "Message Gravity", "occt_user_guides__shape_healing.html#occt_shg_7_1", null ],
        [ "Tool for loading a message file into memory", "occt_user_guides__shape_healing.html#occt_shg_7_2", null ],
        [ "Format of the message file", "occt_user_guides__shape_healing.html#autotoc_md206", null ],
        [ "Loading the message file", "occt_user_guides__shape_healing.html#autotoc_md207", null ],
        [ "Tool for managing filling messages", "occt_user_guides__shape_healing.html#occt_shg_7_3", null ],
        [ "Tool for managing trace files", "occt_user_guides__shape_healing.html#occt_shg_7_4", null ]
      ] ]
    ] ],
    [ "Visualization", "occt_user_guides__visualization.html", [
      [ "Introduction", "occt_user_guides__visualization.html#occt_visu_1", null ],
      [ "Fundamental Concepts", "occt_user_guides__visualization.html#occt_visu_2", [
        [ "Presentation", "occt_user_guides__visualization.html#occt_visu_2_1", [
          [ "Structure of the Presentation", "occt_user_guides__visualization.html#occt_visu_2_1_1", null ],
          [ "The presentable object", "occt_user_guides__visualization.html#autotoc_md208", null ],
          [ "The viewer", "occt_user_guides__visualization.html#autotoc_md209", null ],
          [ "The Interactive Context", "occt_user_guides__visualization.html#autotoc_md210", null ],
          [ "Presentation packages", "occt_user_guides__visualization.html#occt_visu_2_1_2", null ],
          [ "A Basic Example: How to display a 3D object", "occt_user_guides__visualization.html#occt_visu_2_1_3", null ]
        ] ],
        [ "Selection", "occt_user_guides__visualization.html#occt_visu_2_2", [
          [ "Terms and notions", "occt_user_guides__visualization.html#occt_visu_2_2_1", null ],
          [ "Sensitive entity", "occt_user_guides__visualization.html#autotoc_md211", null ],
          [ "Entity owner", "occt_user_guides__visualization.html#autotoc_md212", null ],
          [ "Selection", "occt_user_guides__visualization.html#autotoc_md213", null ],
          [ "Selectable object", "occt_user_guides__visualization.html#autotoc_md214", null ],
          [ "Viewer selector", "occt_user_guides__visualization.html#autotoc_md215", null ],
          [ "Selection manager", "occt_user_guides__visualization.html#autotoc_md216", null ],
          [ "Algorithm", "occt_user_guides__visualization.html#occt_visu_2_2_2", null ],
          [ "Selection Frustum", "occt_user_guides__visualization.html#autotoc_md217", null ],
          [ "BVH trees", "occt_user_guides__visualization.html#autotoc_md218", null ],
          [ "Stages of the algorithm", "occt_user_guides__visualization.html#autotoc_md219", [
            [ "Pre-processing", "occt_user_guides__visualization.html#autotoc_md220", null ],
            [ "First stage – traverse of the first level BVH tree", "occt_user_guides__visualization.html#autotoc_md221", null ],
            [ "Second stage – traversal of the second level BVH tree", "occt_user_guides__visualization.html#autotoc_md222", null ],
            [ "Third stage – overlap or inclusion test of a particular sensitive entity", "occt_user_guides__visualization.html#autotoc_md223", null ]
          ] ],
          [ "Packages and classes", "occt_user_guides__visualization.html#occt_visu_2_2_3", null ],
          [ "SelectBasics", "occt_user_guides__visualization.html#autotoc_md224", null ],
          [ "Select3D", "occt_user_guides__visualization.html#autotoc_md225", null ],
          [ "SelectMgr", "occt_user_guides__visualization.html#autotoc_md226", null ],
          [ "StdSelect", "occt_user_guides__visualization.html#autotoc_md227", null ],
          [ "Examples of usage", "occt_user_guides__visualization.html#occt_visu_2_2_4", null ]
        ] ]
      ] ],
      [ "Application Interactive Services", "occt_user_guides__visualization.html#occt_visu_3", [
        [ "Introduction", "occt_user_guides__visualization.html#occt_visu_3_1", null ],
        [ "Interactive objects", "occt_user_guides__visualization.html#occt_visu_3_2", [
          [ "Presentations", "occt_user_guides__visualization.html#occt_visu_3_2_1", null ],
          [ "For 3D:", "occt_user_guides__visualization.html#autotoc_md228", null ],
          [ "For hidden line removal (HLR) mode in 3D:", "occt_user_guides__visualization.html#autotoc_md229", null ],
          [ "Hidden Line Removal", "occt_user_guides__visualization.html#occt_visu_3_2_2", null ],
          [ "Presentation modes", "occt_user_guides__visualization.html#occt_visu_3_2_3", null ],
          [ "Display Mode", "occt_user_guides__visualization.html#autotoc_md230", null ],
          [ "Highlight Mode", "occt_user_guides__visualization.html#autotoc_md231", null ],
          [ "Infinite Status", "occt_user_guides__visualization.html#autotoc_md232", null ],
          [ "Selection", "occt_user_guides__visualization.html#occt_visu_3_2_4", null ],
          [ "Graphic attributes", "occt_user_guides__visualization.html#occt_visu_3_2_5", null ],
          [ "Complementary Services", "occt_user_guides__visualization.html#occt_visu_3_2_6", null ],
          [ "Change the location of an interactive object", "occt_user_guides__visualization.html#autotoc_md233", null ],
          [ "Connect an interactive object to an applicative entity", "occt_user_guides__visualization.html#autotoc_md234", null ],
          [ "Resolving coincident topology", "occt_user_guides__visualization.html#autotoc_md235", null ],
          [ "Object hierarchy", "occt_user_guides__visualization.html#occt_visu_3_2_7", null ],
          [ "Instancing", "occt_user_guides__visualization.html#occt_visu_3_2_8", null ]
        ] ],
        [ "Interactive Context", "occt_user_guides__visualization.html#occt_visu_3_3", [
          [ "Rules", "occt_user_guides__visualization.html#occt_visu_3_3_1", null ],
          [ "Groups of functions", "occt_user_guides__visualization.html#occt_visu_3_3_2", null ],
          [ "Management of the Interactive Context", "occt_user_guides__visualization.html#occt_visu_3_3_3", null ]
        ] ],
        [ "Local Selection", "occt_user_guides__visualization.html#occt_visu_3_4", [
          [ "Selection Modes", "occt_user_guides__visualization.html#occt_visu_3_4_1", null ],
          [ "Filters", "occt_user_guides__visualization.html#occt_visu_3_4_2", null ],
          [ "Example", "occt_user_guides__visualization.html#autotoc_md236", null ],
          [ "Selection", "occt_user_guides__visualization.html#occt_visu_3_4_6", null ],
          [ "Example", "occt_user_guides__visualization.html#autotoc_md237", null ]
        ] ],
        [ "Standard Interactive Object Classes", "occt_user_guides__visualization.html#occt_visu_3_5", [
          [ "Datum", "occt_user_guides__visualization.html#occt_visu_3_5_1", null ],
          [ "Object", "occt_user_guides__visualization.html#occt_visu_3_5_2", null ],
          [ "Relations", "occt_user_guides__visualization.html#occt_visu_3_5_3", null ],
          [ "Dimensions", "occt_user_guides__visualization.html#occt_visu_3_5_4", null ],
          [ "MeshVS_Mesh", "occt_user_guides__visualization.html#occt_visu_3_5_5", null ]
        ] ],
        [ "Dynamic Selection", "occt_user_guides__visualization.html#occt_visu_3_6", null ]
      ] ],
      [ "3D Presentations", "occt_user_guides__visualization.html#occt_visu_4", [
        [ "Glossary of 3D terms", "occt_user_guides__visualization.html#occt_visu_4_1", null ],
        [ "Graphic primitives", "occt_user_guides__visualization.html#occt_visu_4_2", [
          [ "Structure hierarchies", "occt_user_guides__visualization.html#occt_visu_4_2_2", null ],
          [ "Graphic primitives", "occt_user_guides__visualization.html#occt_visu_4_2_3", null ],
          [ "Primitive arrays", "occt_user_guides__visualization.html#occt_visu_4_2_4", null ],
          [ "Text primitive", "occt_user_guides__visualization.html#occt_visu_4_2_5", null ],
          [ "Materials", "occt_user_guides__visualization.html#occt_visu_4_2_6", null ],
          [ "Textures", "occt_user_guides__visualization.html#occt_visu_4_2_7", null ],
          [ "Custom shaders", "occt_user_guides__visualization.html#occt_visu_4_2_8", null ]
        ] ],
        [ "Graphic attributes", "occt_user_guides__visualization.html#occt_visu_4_3", [
          [ "Aspect package overview", "occt_user_guides__visualization.html#occt_visu_4_3_1", null ]
        ] ],
        [ "3D view facilities", "occt_user_guides__visualization.html#occt_visu_4_4", [
          [ "Overview", "occt_user_guides__visualization.html#occt_visu_4_4_1", null ],
          [ "A programming example", "occt_user_guides__visualization.html#occt_visu_4_4_2", null ],
          [ "Define viewing parameters", "occt_user_guides__visualization.html#occt_visu_4_4_3", null ],
          [ "Orthographic Projection", "occt_user_guides__visualization.html#occt_visu_4_4_4", null ],
          [ "Perspective Projection", "occt_user_guides__visualization.html#occt_visu_4_4_5", null ],
          [ "Stereographic Projection", "occt_user_guides__visualization.html#occt_visu_4_4_6", null ],
          [ "View frustum culling", "occt_user_guides__visualization.html#occt_visu_4_4_7", null ],
          [ "View background styles", "occt_user_guides__visualization.html#occt_visu_4_4_9", null ],
          [ "Dumping a 3D scene into an image file", "occt_user_guides__visualization.html#occt_visu_4_4_10", null ],
          [ "Ray tracing support", "occt_user_guides__visualization.html#occt_visu_4_4_13", null ],
          [ "Display priorities", "occt_user_guides__visualization.html#occt_visu_4_4_14", null ],
          [ "Z-layer support", "occt_user_guides__visualization.html#occt_visu_4_4_15", null ],
          [ "Clipping planes", "occt_user_guides__visualization.html#occt_visu_4_4_16", null ],
          [ "Automatic back face culling", "occt_user_guides__visualization.html#occt_visu_4_4_17", null ]
        ] ],
        [ "Examples: creating a 3D scene", "occt_user_guides__visualization.html#occt_visu_4_5", [
          [ "Create attributes", "occt_user_guides__visualization.html#occt_visu_4_5_1", null ],
          [ "Create a 3D Viewer (a Windows example)", "occt_user_guides__visualization.html#occt_visu_4_5_2", null ],
          [ "Create a 3D view (a Windows example)", "occt_user_guides__visualization.html#occt_visu_4_5_3", null ],
          [ "Create an interactive context", "occt_user_guides__visualization.html#occt_visu_4_5_4", null ],
          [ "Create your own interactive object", "occt_user_guides__visualization.html#occt_visu_4_5_5", null ],
          [ "Create primitives in the interactive object", "occt_user_guides__visualization.html#occt_visu_4_5_6", null ]
        ] ]
      ] ],
      [ "Mesh Visualization Services", "occt_user_guides__visualization.html#occt_visu_5", null ]
    ] ],
    [ "VTK Integration Services (VIS)", "occt_user_guides__vis.html", [
      [ "Introduction", "occt_user_guides__vis.html#occt_vis_1", null ],
      [ "Component Architecture", "occt_user_guides__vis.html#occt_vis_2", [
        [ "Common structure", "occt_user_guides__vis.html#occt_vis_2_1", null ],
        [ "IVtk package", "occt_user_guides__vis.html#occt_vis_2_2", null ],
        [ "IVtkOCC package", "occt_user_guides__vis.html#occt_vis_2_3", null ],
        [ "IVtkVtk package", "occt_user_guides__vis.html#occt_vis_2_4", null ],
        [ "IVtkTools package", "occt_user_guides__vis.html#occt_vis_2_5", null ]
      ] ],
      [ "Using high-level API (simple scenario)", "occt_user_guides__vis.html#occt_vis_3", [
        [ "OCCT shape presentation in VTK viewer", "occt_user_guides__vis.html#occt_vis_3_1", null ],
        [ "Color schemes", "occt_user_guides__vis.html#occt_vis_3_2", [
          [ "Default OCCT color scheme", "occt_user_guides__vis.html#occt_vis_3_2_1", null ],
          [ "Custom color scheme", "occt_user_guides__vis.html#occt_vis_3_2_2", null ],
          [ "Setting custom colors for sub-shapes", "occt_user_guides__vis.html#occt_vis_3_2_3", null ],
          [ "Using color scheme of mapper", "occt_user_guides__vis.html#occt_vis_3_2_4", null ]
        ] ],
        [ "Display modes", "occt_user_guides__vis.html#occt_vis_3_3", null ],
        [ "Interactive selection", "occt_user_guides__vis.html#occt_vis_3_4", [
          [ "Selection of sub-shapes", "occt_user_guides__vis.html#occt_vis_3_5", null ]
        ] ]
      ] ],
      [ "Using of low-level API (advanced scenario)", "occt_user_guides__vis.html#occt_vis_4", [
        [ "Shape presentation", "occt_user_guides__vis.html#occt_vis_4_1", null ],
        [ "Usage of OCCT picking algorithm", "occt_user_guides__vis.html#occt_vis_4_2", null ]
      ] ],
      [ "DRAW Test Harness", "occt_user_guides__vis.html#occt_vis_5", null ]
    ] ],
    [ "IGES Translator", "occt_user_guides__iges.html", [
      [ "Introduction", "occt_user_guides__iges.html#occt_iges_1", null ],
      [ "Reading IGES", "occt_user_guides__iges.html#occt_iges_2", [
        [ "Procedure", "occt_user_guides__iges.html#occt_iges_2_1", null ],
        [ "Domain covered", "occt_user_guides__iges.html#occt_iges_2_2", [
          [ "Translatable entities", "occt_user_guides__iges.html#occt_iges_2_2_1", null ],
          [ "Attributes", "occt_user_guides__iges.html#occt_iges_2_2_2", null ],
          [ "Administrative data", "occt_user_guides__iges.html#occt_iges_2_2_3", null ]
        ] ],
        [ "Description of the process", "occt_user_guides__iges.html#occt_iges_2_3", [
          [ "Loading the IGES file", "occt_user_guides__iges.html#occt_iges_2_3_1", null ],
          [ "Checking the IGES file", "occt_user_guides__iges.html#occt_iges_2_3_2", null ],
          [ "Setting translation parameters", "occt_user_guides__iges.html#occt_iges_2_3_3", null ],
          [ "Selecting entities", "occt_user_guides__iges.html#occt_iges_2_3_4", null ],
          [ "Performing the  IGES file translation", "occt_user_guides__iges.html#occt_iges_2_3_5", null ],
          [ "Getting the  translation results", "occt_user_guides__iges.html#occt_iges_2_3_6", null ]
        ] ],
        [ "Mapping of IGES  entities to Open CASCADE Technology shapes", "occt_user_guides__iges.html#occt_iges_2_4", [
          [ "Points", "occt_user_guides__iges.html#occt_iges_2_4_1", null ],
          [ "Curves", "occt_user_guides__iges.html#occt_iges_2_4_2", null ],
          [ "Surfaces", "occt_user_guides__iges.html#occt_iges_2_4_3", null ],
          [ "Boundary Representation  Solid Entities", "occt_user_guides__iges.html#occt_iges_2_4_4", null ],
          [ "Structure Entities", "occt_user_guides__iges.html#occt_iges_2_4_5", null ],
          [ "Subfigures", "occt_user_guides__iges.html#occt_iges_2_4_6", null ],
          [ "Transformation Matrix  <br>", "occt_user_guides__iges.html#occt_iges_2_4_7", null ]
        ] ],
        [ "Messages", "occt_user_guides__iges.html#occt_iges_2_5", null ],
        [ "Tolerance management", "occt_user_guides__iges.html#occt_iges_2_6", [
          [ "Values used for tolerances during reading IGES", "occt_user_guides__iges.html#occt_iges_2_6_1", null ],
          [ "Initial setting of tolerances in translating  objects", "occt_user_guides__iges.html#occt_iges_2_6_2", null ],
          [ "Transfer process", "occt_user_guides__iges.html#occt_iges_2_6_3", null ]
        ] ],
        [ "Code architecture", "occt_user_guides__iges.html#occt_iges_2_7", null ],
        [ "Example", "occt_user_guides__iges.html#occt_iges_2_8", null ]
      ] ],
      [ "Writing IGES", "occt_user_guides__iges.html#occt_iges_3", [
        [ "Procedure", "occt_user_guides__iges.html#occt_iges_3_1", null ],
        [ "Domain covered", "occt_user_guides__iges.html#occt_iges_3_2", null ],
        [ "Description of the process", "occt_user_guides__iges.html#occt_iges_3_3", [
          [ "Initializing the process", "occt_user_guides__iges.html#occt_iges_3_3_1", null ],
          [ "Setting the translation parameters", "occt_user_guides__iges.html#occt_iges_3_3_2", null ],
          [ "Performing the Open  CASCADE Technology shape translation", "occt_user_guides__iges.html#occt_iges_3_3_3", null ],
          [ "Writing the IGES  file", "occt_user_guides__iges.html#occt_iges_3_3_4", null ]
        ] ],
        [ "Mapping Open CASCADE  Technology shapes to IGES entities", "occt_user_guides__iges.html#occt_iges_3_4", [
          [ "Curves", "occt_user_guides__iges.html#occt_iges_3_4_1", null ],
          [ "Surfaces", "occt_user_guides__iges.html#occt_iges_3_4_2", null ],
          [ "Topological entities – Translation in Face mode", "occt_user_guides__iges.html#occt_iges_3_4_3", null ],
          [ "Topological entities – Translation in BRep mode", "occt_user_guides__iges.html#occt_iges_3_4_4", null ]
        ] ],
        [ "Tolerance  management", "occt_user_guides__iges.html#occt_iges_3_5", [
          [ "Setting  resolution in an IGES file", "occt_user_guides__iges.html#occt_iges_3_5_1", null ]
        ] ],
        [ "Code architecture", "occt_user_guides__iges.html#occt_iges_3_6", [
          [ "Graph of calls", "occt_user_guides__iges.html#occt_iges_3_6_1", null ]
        ] ],
        [ "Example", "occt_user_guides__iges.html#occt_iges_3_7", null ]
      ] ],
      [ "Using XSTEPDRAW", "occt_user_guides__iges.html#occt_iges_4", [
        [ "Setting interface  parameters", "occt_user_guides__iges.html#occt_iges_4_2", null ],
        [ "Reading IGES files", "occt_user_guides__iges.html#occt_iges_4_3", null ],
        [ "Analyzing the transferred data", "occt_user_guides__iges.html#occt_iges_4_4", [
          [ "Checking file contents", "occt_user_guides__iges.html#occt_iges_4_4_1", null ],
          [ "Estimating the results of reading IGES", "occt_user_guides__iges.html#occt_iges_4_4_2", null ]
        ] ],
        [ "Writing an IGES file", "occt_user_guides__iges.html#occt_iges_4_5", null ]
      ] ],
      [ "Reading from and writing to IGES", "occt_user_guides__iges.html#occt_iges_5", [
        [ "Reading from IGES", "occt_user_guides__iges.html#occt_iges_5_1", null ],
        [ "Load an IGES file", "occt_user_guides__iges.html#autotoc_md238", null ],
        [ "Check the loaded IGES file", "occt_user_guides__iges.html#autotoc_md239", null ],
        [ "Set parameters for translation to XDE", "occt_user_guides__iges.html#autotoc_md240", null ],
        [ "Translate an IGES file to XDE", "occt_user_guides__iges.html#autotoc_md241", null ],
        [ "Writing to IGES", "occt_user_guides__iges.html#occt_iges_5_2", null ],
        [ "Set parameters for translation from XDE to IGES", "occt_user_guides__iges.html#autotoc_md242", null ],
        [ "Translate an XDE  document to IGES", "occt_user_guides__iges.html#autotoc_md243", null ],
        [ "Write an IGES file", "occt_user_guides__iges.html#autotoc_md244", null ]
      ] ]
    ] ],
    [ "STEP Translator", "occt_user_guides__step.html", [
      [ "Introduction", "occt_user_guides__step.html#occt_step_1", [
        [ "STEP Exchanges in Open Cascade technology", "occt_user_guides__step.html#occt_step_1_1", null ],
        [ "STEP Interface", "occt_user_guides__step.html#occt_step_1_2", null ]
      ] ],
      [ "Reading STEP", "occt_user_guides__step.html#occt_step_2", [
        [ "Procedure", "occt_user_guides__step.html#occt_step_2_1", null ],
        [ "Domain covered", "occt_user_guides__step.html#occt_step_2_2", [
          [ "Assemblies", "occt_user_guides__step.html#occt_step_2_2_1", null ],
          [ "Shape representations", "occt_user_guides__step.html#occt_step_2_2_2", null ],
          [ "Topological entities", "occt_user_guides__step.html#occt_step_2_2_3", null ],
          [ "Geometrical entities", "occt_user_guides__step.html#occt_step_2_2_4", null ]
        ] ],
        [ "Description of the process", "occt_user_guides__step.html#occt_step_2_3", [
          [ "Loading the STEP file", "occt_user_guides__step.html#occt_step_2_3_1", null ],
          [ "Checking the STEP file", "occt_user_guides__step.html#occt_step_2_3_2", null ],
          [ "Setting the translation parameters", "occt_user_guides__step.html#occt_step_2_3_3", null ],
          [ "Performing the STEP file translation", "occt_user_guides__step.html#occt_step_2_3_4", null ],
          [ "Getting the translation results", "occt_user_guides__step.html#occt_step_2_3_5", null ],
          [ "Selecting STEP entities for translation", "occt_user_guides__step.html#occt_step_2_3_6", null ]
        ] ],
        [ "Mapping STEP entities to Open CASCADE Technology shapes", "occt_user_guides__step.html#occt_step_2_4", [
          [ "Assembly structure representation entities", "occt_user_guides__step.html#occt_step_2_4_1", null ],
          [ "Models", "occt_user_guides__step.html#occt_step_2_4_2", null ],
          [ "Topological entities", "occt_user_guides__step.html#occt_step_2_4_3", null ],
          [ "Geometrical entities", "occt_user_guides__step.html#occt_step_2_4_4", null ]
        ] ],
        [ "Tolerance management", "occt_user_guides__step.html#occt_step_2_5", [
          [ "Values used for tolerances during reading STEP", "occt_user_guides__step.html#occt_step_2_5_1", null ],
          [ "Initial setting of tolerances in translating objects", "occt_user_guides__step.html#occt_step_2_5_2", null ],
          [ "Transfer process", "occt_user_guides__step.html#occt_step_2_5_3", [
            [ "ShapeFix_Wire::FixSelfIntersection()", "occt_user_guides__step.html#autotoc_md245", null ],
            [ "ShapeFix_Wire::FixLacking()", "occt_user_guides__step.html#autotoc_md246", null ],
            [ "ShapeFix_Wire::FixConnected()", "occt_user_guides__step.html#autotoc_md247", null ]
          ] ]
        ] ],
        [ "Code architecture", "occt_user_guides__step.html#occt_step_2_6", null ],
        [ "Example", "occt_user_guides__step.html#occt_step_2_7", null ]
      ] ],
      [ "Writing STEP", "occt_user_guides__step.html#occt_step_3", [
        [ "Procedure", "occt_user_guides__step.html#occt_step_3_1", null ],
        [ "Domain covered", "occt_user_guides__step.html#occt_step_3_2", [
          [ "Writing geometry and topology", "occt_user_guides__step.html#occt_step_3_2_1", null ],
          [ "Writing assembly structures", "occt_user_guides__step.html#occt_step_3_2_2", null ]
        ] ],
        [ "Description of the process", "occt_user_guides__step.html#occt_step_3_3", [
          [ "Initializing the process", "occt_user_guides__step.html#occt_step_3_3_1", null ],
          [ "Setting the translation parameters", "occt_user_guides__step.html#occt_step_3_3_2", null ],
          [ "Performing the Open CASCADE Technology shape translation", "occt_user_guides__step.html#occt_step_3_3_3", null ],
          [ "Writing the STEP file", "occt_user_guides__step.html#occt_step_3_3_4", null ]
        ] ],
        [ "Mapping Open CASCADE Technology shapes to STEP entities", "occt_user_guides__step.html#occt_step_3_4", [
          [ "Assembly structures and product information", "occt_user_guides__step.html#occt_step_3_4_1", null ],
          [ "Topological shapes", "occt_user_guides__step.html#occt_step_3_4_2", null ],
          [ "Geometrical objects", "occt_user_guides__step.html#occt_step_3_4_3", null ]
        ] ],
        [ "Tolerance management", "occt_user_guides__step.html#occt_step_3_5", null ],
        [ "Code architecture", "occt_user_guides__step.html#occt_step_3_6", [
          [ "Graph of calls", "occt_user_guides__step.html#occt_step_3_6_1", null ]
        ] ],
        [ "Example", "occt_user_guides__step.html#occt_step_3_7", null ]
      ] ],
      [ "Physical STEP file reading and writing", "occt_user_guides__step.html#occt_step_4", [
        [ "Architecture of STEP Read and Write classes", "occt_user_guides__step.html#occt_step_4_1", [
          [ "General principles", "occt_user_guides__step.html#occt_step_4_1_1", null ],
          [ "Complex entities", "occt_user_guides__step.html#occt_step_4_1_2", null ]
        ] ],
        [ "Physical file reading", "occt_user_guides__step.html#occt_step_4_2", [
          [ "Loading a STEP file and syntactic analysis of its contents", "occt_user_guides__step.html#occt_step_4_2_1", null ],
          [ "Mapping STEP entities to arrays of strings", "occt_user_guides__step.html#occt_step_4_2_2", null ],
          [ "Creating empty Open CASCADE Technology objects that represent STEP entities", "occt_user_guides__step.html#occt_step_4_2_3", null ],
          [ "Initializing Open CASCADE Technology objects", "occt_user_guides__step.html#occt_step_4_2_4", null ],
          [ "Building a graph", "occt_user_guides__step.html#occt_step_4_2_5", null ]
        ] ],
        [ "How to add a new entity in scope of the STEP processor", "occt_user_guides__step.html#occt_step_4_3", null ],
        [ "Physical file writing", "occt_user_guides__step.html#occt_step_4_4", null ],
        [ "How to add a new entity to write in the STEP file.", "occt_user_guides__step.html#occt_step_4_5", null ]
      ] ],
      [ "Using DRAW", "occt_user_guides__step.html#occt_step_6", [
        [ "DRAW STEP Commands Overview", "occt_user_guides__step.html#occt_step_6_1", null ],
        [ "Setting the interface parameters", "occt_user_guides__step.html#occt_step_6_2", null ],
        [ "Reading a STEP file", "occt_user_guides__step.html#occt_step_6_3", null ],
        [ "Analyzing the transferred data", "occt_user_guides__step.html#occt_step_6_4", [
          [ "Checking file contents", "occt_user_guides__step.html#occt_step_6_4_1", null ],
          [ "Estimating the results of reading STEP", "occt_user_guides__step.html#occt_step_6_4_2", null ]
        ] ],
        [ "Writing a STEP file", "occt_user_guides__step.html#occt_step_6_5", null ]
      ] ],
      [ "Reading from and writing to STEP", "occt_user_guides__step.html#occt_step_7", [
        [ "Reading from STEP", "occt_user_guides__step.html#occt_step_7_1", null ],
        [ "Load a STEP file", "occt_user_guides__step.html#autotoc_md248", null ],
        [ "Check the loaded STEP file", "occt_user_guides__step.html#autotoc_md249", null ],
        [ "Set parameters for translation to XDE", "occt_user_guides__step.html#autotoc_md250", null ],
        [ "Translate a STEP file to XDE", "occt_user_guides__step.html#autotoc_md251", null ],
        [ "Attributes read from STEP", "occt_user_guides__step.html#occt_step_7_2", null ],
        [ "Colors", "occt_user_guides__step.html#autotoc_md252", null ],
        [ "Layers", "occt_user_guides__step.html#autotoc_md253", null ],
        [ "Materials", "occt_user_guides__step.html#autotoc_md254", null ],
        [ "Validation properties", "occt_user_guides__step.html#autotoc_md255", null ],
        [ "Geometric dimensions and tolerances", "occt_user_guides__step.html#autotoc_md256", [
          [ "Dimensions", "occt_user_guides__step.html#autotoc_md257", null ],
          [ "Datums", "occt_user_guides__step.html#autotoc_md258", null ],
          [ "Tolerances", "occt_user_guides__step.html#autotoc_md259", null ],
          [ "Presentations", "occt_user_guides__step.html#autotoc_md260", null ],
          [ "Geometric dimensions and tolerances AP214", "occt_user_guides__step.html#autotoc_md261", null ]
        ] ],
        [ "Saved views", "occt_user_guides__step.html#autotoc_md262", null ],
        [ "Writing to STEP", "occt_user_guides__step.html#occt_step_7_3", null ],
        [ "Set parameters for translation from XDE to STEP", "occt_user_guides__step.html#autotoc_md263", null ],
        [ "Translate an XDE document to STEP", "occt_user_guides__step.html#autotoc_md264", null ],
        [ "Write a STEP file", "occt_user_guides__step.html#autotoc_md265", null ],
        [ "Attributes written to STEP", "occt_user_guides__step.html#occt_step_7_4", null ],
        [ "Colors", "occt_user_guides__step.html#autotoc_md266", null ],
        [ "Layers", "occt_user_guides__step.html#autotoc_md267", null ],
        [ "Materials", "occt_user_guides__step.html#autotoc_md268", null ],
        [ "Validation properties", "occt_user_guides__step.html#autotoc_md269", null ],
        [ "Geometric dimensions and tolerances", "occt_user_guides__step.html#autotoc_md270", null ],
        [ "Saved views", "occt_user_guides__step.html#autotoc_md271", null ]
      ] ]
    ] ],
    [ "Extended Data Exchange (XDE)", "occt_user_guides__xde.html", [
      [ "Introduction", "occt_user_guides__xde.html#occt_xde_1", [
        [ "Basic terms", "occt_user_guides__xde.html#occt_xde_1_1", null ],
        [ "XDE Organization", "occt_user_guides__xde.html#occt_xde_1_2", null ],
        [ "Assemblies", "occt_user_guides__xde.html#occt_xde_1_3", null ],
        [ "Validation Properties", "occt_user_guides__xde.html#occt_xde_1_4", null ],
        [ "Names", "occt_user_guides__xde.html#occt_xde_1_5", null ],
        [ "Colors and Layers", "occt_user_guides__xde.html#occt_xde_1_6", null ],
        [ "Geometric Dimensions & Tolerances (GD&T)", "occt_user_guides__xde.html#occt_xde_1_7", null ],
        [ "Clipping planes", "occt_user_guides__xde.html#occt_xde_1_8", null ],
        [ "Saved views", "occt_user_guides__xde.html#occt_xde_1_9", null ],
        [ "Custom notes", "occt_user_guides__xde.html#occt_xde_1_10", null ]
      ] ],
      [ "Working with XDE", "occt_user_guides__xde.html#occt_xde_2", [
        [ "Getting started", "occt_user_guides__xde.html#occt_xde_2_1", [
          [ "Environment variables", "occt_user_guides__xde.html#occt_xde_2_1_1", null ],
          [ "General Check", "occt_user_guides__xde.html#occt_xde_2_1_2", null ],
          [ "Get an Application or an Initialized Document", "occt_user_guides__xde.html#occt_xde_2_1_3", null ]
        ] ],
        [ "Shapes and Assemblies", "occt_user_guides__xde.html#occt_xde_2_2", [
          [ "Initialize an XDE Document (Shapes)", "occt_user_guides__xde.html#occt_xde_2_2_1", null ],
          [ "Get a Node considered as an Assembly", "occt_user_guides__xde.html#occt_xde_2_2_2", null ],
          [ "Updating the Assemblies after Filling or Editing", "occt_user_guides__xde.html#occt_xde_2_2_3", null ],
          [ "Adding or Setting Top Level Shapes", "occt_user_guides__xde.html#occt_xde_2_2_4", null ],
          [ "Setting a given Shape at a given Label", "occt_user_guides__xde.html#occt_xde_2_2_5", null ],
          [ "Getting a Shape from a Label", "occt_user_guides__xde.html#occt_xde_2_2_6", null ],
          [ "Getting a Label from a Shape", "occt_user_guides__xde.html#occt_xde_2_2_7", null ],
          [ "Other Queries on a Label", "occt_user_guides__xde.html#occt_xde_2_2_8", null ],
          [ "Main Shapes", "occt_user_guides__xde.html#autotoc_md272", null ],
          [ "Assembly and Components", "occt_user_guides__xde.html#autotoc_md273", null ],
          [ "Instances and References for Components", "occt_user_guides__xde.html#occt_xde_2_2_9", null ]
        ] ],
        [ "Editing Shapes", "occt_user_guides__xde.html#occt_xde_2_3", null ],
        [ "Management of Sub-Shapes", "occt_user_guides__xde.html#occt_xde_2_4", null ],
        [ "Properties", "occt_user_guides__xde.html#occt_xde_2_5", [
          [ "Name", "occt_user_guides__xde.html#occt_xde_2_5_1", null ],
          [ "Centroid", "occt_user_guides__xde.html#occt_xde_2_5_2", null ],
          [ "Area", "occt_user_guides__xde.html#occt_xde_2_5_3", null ],
          [ "Volume", "occt_user_guides__xde.html#occt_xde_2_5_4", null ]
        ] ],
        [ "Colors and Layers", "occt_user_guides__xde.html#occt_xde_2_6", [
          [ "Initialization", "occt_user_guides__xde.html#occt_xde_2_6_1", null ],
          [ "Adding a Color", "occt_user_guides__xde.html#occt_xde_2_6_2", null ],
          [ "Queries on Colors", "occt_user_guides__xde.html#occt_xde_2_6_3", null ],
          [ "Editing Colors", "occt_user_guides__xde.html#occt_xde_2_6_4", null ]
        ] ],
        [ "Geometric Dimensions & Tolerances (GD&T)", "occt_user_guides__xde.html#occt_xde_2_7", [
          [ "Initialization", "occt_user_guides__xde.html#occt_xde_2_7_1", null ],
          [ "Adding a GD&T", "occt_user_guides__xde.html#occt_xde_2_7_2", null ],
          [ "Editing a GD&T", "occt_user_guides__xde.html#occt_xde_2_7_3", null ],
          [ "Linking GD&Ts", "occt_user_guides__xde.html#occt_xde_2_7_4", null ],
          [ "Finding GD&Ts and reference shapes", "occt_user_guides__xde.html#occt_xde_2_7_5", null ],
          [ "Storing custom data", "occt_user_guides__xde.html#occt_xde_2_7_6", null ]
        ] ],
        [ "Clipping planes", "occt_user_guides__xde.html#occt_xde_2_8", null ],
        [ "Saved views", "occt_user_guides__xde.html#occt_xde_2_9", null ],
        [ "Custom notes", "occt_user_guides__xde.html#occt_xde_2_10", [
          [ "Initialization", "occt_user_guides__xde.html#occt_xde_2_10_1", null ],
          [ "Creating Notes", "occt_user_guides__xde.html#occt_xde_2_10_2", null ],
          [ "Editing a Note", "occt_user_guides__xde.html#occt_xde_2_10_3", null ],
          [ "Adding Notes", "occt_user_guides__xde.html#occt_xde_2_10_4", null ],
          [ "Finding Notes", "occt_user_guides__xde.html#occt_xde_2_10_5", null ],
          [ "Removing Notes", "occt_user_guides__xde.html#occt_xde_2_10_6", null ],
          [ "Deleting Notes", "occt_user_guides__xde.html#occt_xde_2_10_7", null ]
        ] ],
        [ "Reading and Writing STEP or IGES", "occt_user_guides__xde.html#occt_xde_2_11", [
          [ "Reading a STEP file", "occt_user_guides__xde.html#occt_xde_2_11_1", null ],
          [ "Writing a STEP file", "occt_user_guides__xde.html#occt_xde_2_11_2", null ],
          [ "Reading an IGES File", "occt_user_guides__xde.html#occt_xde_2_11_3", null ],
          [ "Writing an IGES File", "occt_user_guides__xde.html#occt_xde_2_11_4", null ]
        ] ],
        [ "Using an XDE Document", "occt_user_guides__xde.html#occt_xde_2_12", [
          [ "XDE Data inside an Application Document", "occt_user_guides__xde.html#occt_xde_2_12_1", null ]
        ] ]
      ] ]
    ] ],
    [ "OCAF", "occt_user_guides__ocaf.html", [
      [ "Introduction", "occt_user_guides__ocaf.html#occt_ocaf_1", [
        [ "Purpose of OCAF", "occt_user_guides__ocaf.html#occt_ocaf_1_1", null ],
        [ "Architecture Overview", "occt_user_guides__ocaf.html#occt_ocaf_1_2", [
          [ "Application", "occt_user_guides__ocaf.html#occt_ocaf_1_2_1", null ],
          [ "Document   <br>", "occt_user_guides__ocaf.html#occt_ocaf_1_2_2", null ],
          [ "Attribute", "occt_user_guides__ocaf.html#occt_ocaf_1_2_3", null ]
        ] ],
        [ "Reference-key model", "occt_user_guides__ocaf.html#occt_ocaf_1_3", null ]
      ] ],
      [ "The Data  Framework", "occt_user_guides__ocaf.html#occt_ocaf_3", [
        [ "Data Structure", "occt_user_guides__ocaf.html#occt_ocaf_3_1", null ],
        [ "Examples of a Data Structure", "occt_user_guides__ocaf.html#occt_ocaf_3_2", null ],
        [ "Tag", "occt_user_guides__ocaf.html#occt_ocaf_3_3", [
          [ "Creating child labels using random delivery of tags", "occt_user_guides__ocaf.html#occt_ocaf_3_3_1", null ],
          [ "Creation of a child label by user delivery from a tag", "occt_user_guides__ocaf.html#occt_ocaf_3_3_2", null ]
        ] ],
        [ "Label", "occt_user_guides__ocaf.html#occt_ocaf_3_4", [
          [ "Label creation", "occt_user_guides__ocaf.html#occt_ocaf_3_4_1", null ],
          [ "Creating child labels", "occt_user_guides__ocaf.html#occt_ocaf_3_4_2", null ],
          [ "Retrieving child labels", "occt_user_guides__ocaf.html#occt_ocaf_3_4_3", null ],
          [ "Retrieving the father label", "occt_user_guides__ocaf.html#occt_ocaf_3_4_4", null ]
        ] ],
        [ "Attribute", "occt_user_guides__ocaf.html#occt_ocaf_3_5", [
          [ "Retrieving an attribute from a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_1", null ],
          [ "Identifying an attribute using a GUID", "occt_user_guides__ocaf.html#occt_ocaf_3_5_2", null ],
          [ "Attaching an attribute to a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_3", null ],
          [ "Testing the attachment to a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_4", null ],
          [ "Removing an attribute from a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_5", null ],
          [ "Specific attribute creation", "occt_user_guides__ocaf.html#occt_ocaf_3_5_6", null ]
        ] ],
        [ "Compound documents", "occt_user_guides__ocaf.html#occt_ocaf_3_6", null ],
        [ "Transaction mechanism", "occt_user_guides__ocaf.html#occt_ocaf_3_7", null ]
      ] ],
      [ "Standard Document Services", "occt_user_guides__ocaf.html#occt_ocaf_4_", [
        [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_4_1", null ],
        [ "The Application", "occt_user_guides__ocaf.html#occt_ocaf_4_2", [
          [ "Creating an application", "occt_user_guides__ocaf.html#occt_ocaf_4_2_1", null ],
          [ "Creating a new document", "occt_user_guides__ocaf.html#occt_ocaf_4_2_2", null ],
          [ "Retrieving the application to which the document belongs", "occt_user_guides__ocaf.html#occt_ocaf_4_2_3", null ]
        ] ],
        [ "The Document", "occt_user_guides__ocaf.html#occt_ocaf_4_3", [
          [ "Accessing the main label of the framework", "occt_user_guides__ocaf.html#occt_ocaf_4_3_1", null ],
          [ "Retrieving the document from a label in its framework", "occt_user_guides__ocaf.html#occt_ocaf_4_3_2", null ],
          [ "Defining storage format", "occt_user_guides__ocaf.html#occt_ocaf_4_3_format", null ],
          [ "Defining storage format by resource files", "occt_user_guides__ocaf.html#occt_ocaf_4_3_plugins", null ],
          [ "Saving a document", "occt_user_guides__ocaf.html#occt_ocaf_4_3_3", null ],
          [ "Opening the document from a file", "occt_user_guides__ocaf.html#occt_ocaf_4_3_4", null ],
          [ "Cutting, copying and pasting inside a document", "occt_user_guides__ocaf.html#occt_ocaf_4_3_5", null ]
        ] ],
        [ "External Links", "occt_user_guides__ocaf.html#occt_ocaf_4_4", [
          [ "Copying the document", "occt_user_guides__ocaf.html#occt_ocaf_4_4_1", null ],
          [ "With the possibility of updating it later", "occt_user_guides__ocaf.html#autotoc_md274", null ],
          [ "Without any link between the copy and the original", "occt_user_guides__ocaf.html#autotoc_md275", null ]
        ] ]
      ] ],
      [ "OCAF Shape Attributes", "occt_user_guides__ocaf.html#occt_ocaf_5", [
        [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_5_1", null ],
        [ "Shape attributes in data framework.", "occt_user_guides__ocaf.html#occt_ocaf_5_2", null ],
        [ "Registering shapes and their evolution", "occt_user_guides__ocaf.html#occt_ocaf_5_3", null ],
        [ "Using naming resources", "occt_user_guides__ocaf.html#occt_ocaf_5_4", null ],
        [ "Reading the contents of a named shape attribute", "occt_user_guides__ocaf.html#occt_ocaf_5_5", null ],
        [ "Topological naming", "occt_user_guides__ocaf.html#occt_ocaf_5_6", [
          [ "Algorithm history", "occt_user_guides__ocaf.html#occt_ocaf_5_6_1", null ],
          [ "Loading history in data framework", "occt_user_guides__ocaf.html#occt_ocaf_5_6_2", null ],
          [ "Selection / re-computation mechanism", "occt_user_guides__ocaf.html#occt_ocaf_5_6_3", null ]
        ] ],
        [ "Exploring shape evolution", "occt_user_guides__ocaf.html#occt_ocaf_5_7", null ],
        [ "Example of topological naming usage", "occt_user_guides__ocaf.html#occt_ocaf_5_8", null ]
      ] ],
      [ "Standard Attributes", "occt_user_guides__ocaf.html#occt_ocaf_6", [
        [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_6_1", null ],
        [ "Geometric attributes", "occt_user_guides__ocaf.html#autotoc_md276", null ],
        [ "General attributes", "occt_user_guides__ocaf.html#autotoc_md277", null ],
        [ "Relationship attributes", "occt_user_guides__ocaf.html#autotoc_md278", null ],
        [ "Auxiliary attributes", "occt_user_guides__ocaf.html#autotoc_md279", null ],
        [ "Attributes supporting several attributes of the same type on the same label", "occt_user_guides__ocaf.html#autotoc_md280", null ],
        [ "Services common to all attributes", "occt_user_guides__ocaf.html#occt_ocaf_6_2", [
          [ "Accessing GUIDs", "occt_user_guides__ocaf.html#occt_ocaf_6_2_1", null ],
          [ "Conventional Interface of Standard Attributes", "occt_user_guides__ocaf.html#occt_ocaf_6_2_2", null ]
        ] ],
        [ "The choice between standard and custom attributes", "occt_user_guides__ocaf.html#occt_ocaf_6_3", [
          [ "Comparison  and analysis of approaches", "occt_user_guides__ocaf.html#occt_ocaf_6_2_3", null ],
          [ "Conclusion", "occt_user_guides__ocaf.html#occt_ocaf_6_2_4", null ]
        ] ],
        [ "Standard Attributes with User Defined GUID", "occt_user_guides__ocaf.html#occt_ocaf_6_4", null ],
        [ "Creation Attributes with User Defined GUID.", "occt_user_guides__ocaf.html#occt_ocaf_6_4_1", null ]
      ] ],
      [ "Visualization Attributes", "occt_user_guides__ocaf.html#occt_ocaf_7", [
        [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_7_1", null ],
        [ "Services provided", "occt_user_guides__ocaf.html#occt_ocaf_7_2", [
          [ "Defining an interactive viewer attribute", "occt_user_guides__ocaf.html#occt_ocaf_7_2_1", null ]
        ] ],
        [ "Defining a presentation attribute", "occt_user_guides__ocaf.html#occt_ocaf_7_2_2", [
          [ "Creating your own driver", "occt_user_guides__ocaf.html#occt_ocaf_7_2_3", null ],
          [ "Using a container for drivers", "occt_user_guides__ocaf.html#occt_ocaf_7_2_4", null ]
        ] ]
      ] ],
      [ "Function Services", "occt_user_guides__ocaf.html#occt_ocaf_8", [
        [ "Finding functions, their owners and roots", "occt_user_guides__ocaf.html#occt_ocaf_8_1", null ],
        [ "Storing and accessing information about function status", "occt_user_guides__ocaf.html#occt_ocaf_8_2", null ],
        [ "Propagating modifications", "occt_user_guides__ocaf.html#occt_ocaf_8_3", null ]
      ] ],
      [ "Example of Function Mechanism Usage", "occt_user_guides__ocaf.html#occt_ocaf_8a", [
        [ "Introduction", "occt_user_guides__ocaf.html#occt_ocaf_8a_1", null ],
        [ "Step 1: Data Tree", "occt_user_guides__ocaf.html#occt_ocaf_8a_2", null ],
        [ "Step 2: Interfaces", "occt_user_guides__ocaf.html#occt_ocaf_8a_3", [
          [ "Creation of the nail", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_1", null ],
          [ "Computation", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_2", null ],
          [ "Visualization", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_3", null ],
          [ "Removal of the nail", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_4", null ]
        ] ],
        [ "Step 3: Functions", "occt_user_guides__ocaf.html#occt_ocaf_8a_4", null ],
        [ "Example 1: iteration and execution of functions.", "occt_user_guides__ocaf.html#occt_ocaf_8a_5", null ],
        [ "Example 2: Cylinder function driver", "occt_user_guides__ocaf.html#occt_ocaf_8a_6", null ]
      ] ],
      [ "XML Support", "occt_user_guides__ocaf.html#occt_ocaf_9", [
        [ "Document Drivers", "occt_user_guides__ocaf.html#occt_ocaf_9_1", null ],
        [ "Attribute Drivers", "occt_user_guides__ocaf.html#occt_ocaf_9_2", null ],
        [ "XML Document Structure", "occt_user_guides__ocaf.html#occt_ocaf_9_3", null ],
        [ "OCAF Attributes Representation", "occt_user_guides__ocaf.html#autotoc_md281", null ],
        [ "Example of resulting XML file", "occt_user_guides__ocaf.html#autotoc_md282", null ],
        [ "XML Schema", "occt_user_guides__ocaf.html#occt_ocaf_9_4", null ],
        [ "Management of Namespaces", "occt_user_guides__ocaf.html#autotoc_md283", null ]
      ] ],
      [ "TObj Package", "occt_user_guides__ocaf.html#occt_tobj", [
        [ "Introduction", "occt_user_guides__ocaf.html#occt_tobj_1", [
          [ "Applicability", "occt_user_guides__ocaf.html#occt_tobj_1_1", null ]
        ] ],
        [ "TObj Model", "occt_user_guides__ocaf.html#occt_tobj_2", [
          [ "TObj Model structure", "occt_user_guides__ocaf.html#occt_tobj_2_1", null ],
          [ "Data Model basic features", "occt_user_guides__ocaf.html#occt_tobj_2_2", null ],
          [ "Model Persistence", "occt_user_guides__ocaf.html#occt_tobj_2_3", null ],
          [ "Access to the objects in the model", "occt_user_guides__ocaf.html#occt_tobj_2_4", null ],
          [ "Own model data", "occt_user_guides__ocaf.html#occt_tobj_2_5", null ],
          [ "Object naming", "occt_user_guides__ocaf.html#occt_tobj_2_6", null ],
          [ "API for transaction mechanism", "occt_user_guides__ocaf.html#occt_tobj_2_7", null ],
          [ "Model format and version", "occt_user_guides__ocaf.html#occt_tobj_28", null ],
          [ "Model update", "occt_user_guides__ocaf.html#occt_tobj_2_9", null ],
          [ "Model copying", "occt_user_guides__ocaf.html#occt_tobj_2_10", null ],
          [ "Messaging", "occt_user_guides__ocaf.html#occt_tobj_2_11", null ]
        ] ],
        [ "Model object", "occt_user_guides__ocaf.html#occt_tobj_3", [
          [ "Separation of data and interface", "occt_user_guides__ocaf.html#occt_tobj_3_1", null ],
          [ "Basic features", "occt_user_guides__ocaf.html#occt_tobj_3_2", null ],
          [ "Data layout and inheritance", "occt_user_guides__ocaf.html#occt_tobj_3_3", null ],
          [ "Persistence", "occt_user_guides__ocaf.html#occt_tobj_3_4", null ],
          [ "Names of objects", "occt_user_guides__ocaf.html#occt_tobj_3_5", null ],
          [ "References between objects", "occt_user_guides__ocaf.html#occt_tobj_3_6", null ],
          [ "Creation and deletion of objects", "occt_user_guides__ocaf.html#occt_tobj_3_7", null ],
          [ "Transformation and replication of object data", "occt_user_guides__ocaf.html#occt_tobj_3_8", null ],
          [ "Object flags", "occt_user_guides__ocaf.html#occt_tobj_3_9", null ],
          [ "Partitions", "occt_user_guides__ocaf.html#occt_tobj_310", null ]
        ] ],
        [ "Auxiliary classes", "occt_user_guides__ocaf.html#occt_tobj_4", null ],
        [ "Packaging", "occt_user_guides__ocaf.html#occt_tobj_5", null ]
      ] ],
      [ "GLOSSARY", "occt_user_guides__ocaf.html#occt_ocaf_10", null ]
    ] ],
    [ "Draw Test Harness", "occt_user_guides__test_harness.html", [
      [ "Introduction", "occt_user_guides__test_harness.html#occt_draw_1", [
        [ "Overview", "occt_user_guides__test_harness.html#occt_draw_1_1", null ],
        [ "Contents of this documentation", "occt_user_guides__test_harness.html#occt_draw_1_2", null ],
        [ "Getting started", "occt_user_guides__test_harness.html#occt_draw_1_3", [
          [ "Launching DRAW Test Harness", "occt_user_guides__test_harness.html#occt_draw_1_3_1", null ],
          [ "Plug-in resource file", "occt_user_guides__test_harness.html#occt_draw_1_3_2", null ],
          [ "Activation of commands implemented in the plug-in", "occt_user_guides__test_harness.html#occt_draw_1_3_3", null ]
        ] ]
      ] ],
      [ "The Command Language", "occt_user_guides__test_harness.html#occt_draw_2", [
        [ "Overview", "occt_user_guides__test_harness.html#occt_draw_2_1", null ],
        [ "Syntax of TCL", "occt_user_guides__test_harness.html#occt_draw_2_2", null ],
        [ "Accessing variables in TCL and Draw", "occt_user_guides__test_harness.html#occt_draw_2_3", [
          [ "set, unset", "occt_user_guides__test_harness.html#occt_draw_2_3_1", null ],
          [ "dset, dval", "occt_user_guides__test_harness.html#occt_draw_2_3_2", null ],
          [ "del, dall", "occt_user_guides__test_harness.html#occt_draw_2_3_3", null ]
        ] ],
        [ "lists", "occt_user_guides__test_harness.html#occt_draw_2_4", [
          [ "Control Structures", "occt_user_guides__test_harness.html#occt_draw_2_5", null ],
          [ "if", "occt_user_guides__test_harness.html#occt_draw_2_5_1", null ],
          [ "while, for, foreach", "occt_user_guides__test_harness.html#occt_draw_2_5_2", null ],
          [ "break, continue", "occt_user_guides__test_harness.html#occt_draw_2_5_3", null ]
        ] ],
        [ "Procedures", "occt_user_guides__test_harness.html#occt_draw_2_6", [
          [ "proc", "occt_user_guides__test_harness.html#occt_draw_2_6_1", null ],
          [ "global, upvar", "occt_user_guides__test_harness.html#occt_draw_2_6_2", null ]
        ] ]
      ] ],
      [ "Basic Commands", "occt_user_guides__test_harness.html#occt_draw_3", [
        [ "General commands", "occt_user_guides__test_harness.html#occt_draw_3_1", [
          [ "help", "occt_user_guides__test_harness.html#occt_draw_3_1_1", null ],
          [ "source", "occt_user_guides__test_harness.html#occt_draw_3_1_2", null ],
          [ "spy", "occt_user_guides__test_harness.html#occt_draw_3_1_3", null ],
          [ "cpulimit", "occt_user_guides__test_harness.html#occt_draw_3_1_4", null ],
          [ "wait", "occt_user_guides__test_harness.html#occt_draw_3_1_5", null ],
          [ "chrono", "occt_user_guides__test_harness.html#occt_draw_3_1_6", null ]
        ] ],
        [ "Variable management commands", "occt_user_guides__test_harness.html#occt_draw_3_2", [
          [ "isdraw, directory", "occt_user_guides__test_harness.html#occt_draw_3_2_1", null ],
          [ "whatis, dump", "occt_user_guides__test_harness.html#occt_draw_3_2_2", null ],
          [ "renamevar, copy", "occt_user_guides__test_harness.html#occt_draw_3_2_3", null ],
          [ "datadir, save, restore", "occt_user_guides__test_harness.html#occt_draw_3_2_4", null ]
        ] ],
        [ "User defined commands", "occt_user_guides__test_harness.html#occt_draw_3_3", [
          [ "set", "occt_user_guides__test_harness.html#occt_draw_3_3_1", null ],
          [ "In <em>DrawTrSurf</em> package:", "occt_user_guides__test_harness.html#autotoc_md284", null ],
          [ "In <em>DBRep</em> package:", "occt_user_guides__test_harness.html#autotoc_md285", null ],
          [ "get", "occt_user_guides__test_harness.html#occt_draw_3_3_2", null ],
          [ "In <em>DrawTrSurf</em> package:", "occt_user_guides__test_harness.html#autotoc_md286", null ],
          [ "In <em>DBRep</em> package:", "occt_user_guides__test_harness.html#autotoc_md287", null ]
        ] ]
      ] ],
      [ "Graphic Commands", "occt_user_guides__test_harness.html#occt_draw_4", [
        [ "Axonometric viewer", "occt_user_guides__test_harness.html#occt_draw_4_1", [
          [ "view, delete", "occt_user_guides__test_harness.html#occt_draw_4_1_1", null ],
          [ "axo, pers, top, ...", "occt_user_guides__test_harness.html#occt_draw_4_1_2", null ],
          [ "mu, md, 2dmu, 2dmd, zoom, 2dzoom", "occt_user_guides__test_harness.html#occt_draw_4_1_3", null ],
          [ "pu, pd, pl, pr, 2dpu, 2dpd, 2dpl, 2dpr", "occt_user_guides__test_harness.html#occt_draw_4_14", null ],
          [ "fit, 2dfit", "occt_user_guides__test_harness.html#occt_draw_4_1_5", null ],
          [ "u, d, l, r", "occt_user_guides__test_harness.html#occt_draw_4_1_6", null ],
          [ "focal, fu, fd", "occt_user_guides__test_harness.html#occt_draw_4_1_7", null ],
          [ "color", "occt_user_guides__test_harness.html#occt_draw_4_1_8", null ],
          [ "dtext", "occt_user_guides__test_harness.html#occt_draw_4_1_9", null ],
          [ "hardcopy, hcolor, xwd", "occt_user_guides__test_harness.html#occt_draw_4_1_10", null ],
          [ "wclick, pick", "occt_user_guides__test_harness.html#occt_draw_4_1_11", null ],
          [ "autodisplay", "occt_user_guides__test_harness.html#occt_draw_4_1_12", null ],
          [ "display, donly", "occt_user_guides__test_harness.html#occt_draw_4_1_13", null ],
          [ "erase, clear, 2dclear", "occt_user_guides__test_harness.html#occt_draw_4_1_14", null ],
          [ "disp, don, era", "occt_user_guides__test_harness.html#occt_draw_4_1_14_1", null ],
          [ "repaint, dflush", "occt_user_guides__test_harness.html#occt_draw_4_1_15", null ]
        ] ],
        [ "AIS viewer – view commands", "occt_user_guides__test_harness.html#occt_draw_4_2", [
          [ "vinit", "occt_user_guides__test_harness.html#occt_draw_4_2_1", null ],
          [ "vhelp", "occt_user_guides__test_harness.html#occt_draw_4_2_2", null ],
          [ "vtop", "occt_user_guides__test_harness.html#occt_draw_4_2_3", null ],
          [ "vaxo", "occt_user_guides__test_harness.html#occt_draw_4_2_4", null ],
          [ "vsetbg", "occt_user_guides__test_harness.html#occt_draw_4_2_5", null ],
          [ "vclear", "occt_user_guides__test_harness.html#occt_draw_4_2_6", null ],
          [ "vrepaint", "occt_user_guides__test_harness.html#occt_draw_4_2_7", null ],
          [ "vfit", "occt_user_guides__test_harness.html#occt_draw_4_2_8", null ],
          [ "vzfit", "occt_user_guides__test_harness.html#occt_draw_4_2_9", null ],
          [ "vreadpixel", "occt_user_guides__test_harness.html#occt_draw_4_2_10", null ],
          [ "vselect", "occt_user_guides__test_harness.html#occt_draw_4_2_11", null ],
          [ "vmoveto", "occt_user_guides__test_harness.html#occt_draw_4_2_12", null ],
          [ "vviewparams", "occt_user_guides__test_harness.html#occt_draw_4_2_13", null ],
          [ "vchangeselected", "occt_user_guides__test_harness.html#occt_draw_4_2_14", null ],
          [ "vzclipping", "occt_user_guides__test_harness.html#occt_draw_4_2_15", null ],
          [ "vnbselected", "occt_user_guides__test_harness.html#occt_draw_4_2_16", null ],
          [ "vpurgedisplay", "occt_user_guides__test_harness.html#occt_draw_4_2_18", null ],
          [ "vhlr", "occt_user_guides__test_harness.html#occt_draw_4_2_19", null ],
          [ "vhlrtype", "occt_user_guides__test_harness.html#occt_draw_4_2_20", null ],
          [ "vcamera", "occt_user_guides__test_harness.html#occt_draw_4_2_21", null ],
          [ "vstereo", "occt_user_guides__test_harness.html#occt_draw_4_2_22", null ],
          [ "vfrustumculling", "occt_user_guides__test_harness.html#occt_draw_4_2_23", null ]
        ] ],
        [ "AIS viewer – display commands", "occt_user_guides__test_harness.html#occt_draw_4_3", [
          [ "vdisplay", "occt_user_guides__test_harness.html#occt_draw_4_3_1", null ],
          [ "vdonly", "occt_user_guides__test_harness.html#occt_draw_4_3_2", null ],
          [ "vdisplayall", "occt_user_guides__test_harness.html#occt_draw_4_3_3", null ],
          [ "verase", "occt_user_guides__test_harness.html#occt_draw_4_3_4", null ],
          [ "veraseall", "occt_user_guides__test_harness.html#occt_draw_4_3_5", null ],
          [ "vsetdispmode", "occt_user_guides__test_harness.html#occt_draw_4_3_6", null ],
          [ "vdisplaytype", "occt_user_guides__test_harness.html#occt_draw_4_3_7", null ],
          [ "verasetype", "occt_user_guides__test_harness.html#occt_draw_4_3_8", null ],
          [ "vtypes", "occt_user_guides__test_harness.html#occt_draw_4_3_9", null ],
          [ "vaspects", "occt_user_guides__test_harness.html#occt_draw_4_3_10", null ],
          [ "vsetshading", "occt_user_guides__test_harness.html#occt_draw_4_3_11", null ],
          [ "vunsetshading", "occt_user_guides__test_harness.html#occt_draw_4_3_12", null ],
          [ "vsetam", "occt_user_guides__test_harness.html#occt_draw_4_3_13", null ],
          [ "vunsetam", "occt_user_guides__test_harness.html#occt_draw_4_3_14", null ],
          [ "vdump", "occt_user_guides__test_harness.html#occt_draw_4_3_15", null ],
          [ "vdir", "occt_user_guides__test_harness.html#occt_draw_4_3_16", null ],
          [ "vsub", "occt_user_guides__test_harness.html#occt_draw_4_3_17", null ],
          [ "vsensdis", "occt_user_guides__test_harness.html#occt_draw_4_3_20", null ],
          [ "vsensera", "occt_user_guides__test_harness.html#occt_draw_4_3_21", null ],
          [ "vr", "occt_user_guides__test_harness.html#occt_draw_4_3_23", null ],
          [ "vstate", "occt_user_guides__test_harness.html#occt_draw_4_3_24", null ],
          [ "vraytrace", "occt_user_guides__test_harness.html#occt_draw_4_3_25", null ],
          [ "vrenderparams", "occt_user_guides__test_harness.html#occt_draw_4_3_26", null ],
          [ "vshaderprog", "occt_user_guides__test_harness.html#occt_draw_4_3_27", null ],
          [ "vsetcolorbg", "occt_user_guides__test_harness.html#occt_draw_4_3_28", null ]
        ] ],
        [ "AIS viewer – object commands", "occt_user_guides__test_harness.html#occt_draw_4_4", [
          [ "vtrihedron", "occt_user_guides__test_harness.html#occt_draw_4_4_1", null ],
          [ "vplanetri", "occt_user_guides__test_harness.html#occt_draw_4_4_2", null ],
          [ "vsize", "occt_user_guides__test_harness.html#occt_draw_4_4_3", null ],
          [ "vaxis", "occt_user_guides__test_harness.html#occt_draw_4_4_4", null ],
          [ "vaxispara", "occt_user_guides__test_harness.html#occt_draw_4_4_5", null ],
          [ "vaxisortho", "occt_user_guides__test_harness.html#occt_draw_4_4_6", null ],
          [ "vpoint", "occt_user_guides__test_harness.html#occt_draw_4_4_7", null ],
          [ "vplane", "occt_user_guides__test_harness.html#occt_draw_4_4_8", null ],
          [ "vplanepara", "occt_user_guides__test_harness.html#occt_draw_4_4_9", null ],
          [ "vplaneortho", "occt_user_guides__test_harness.html#occt_draw_4_4_10", null ],
          [ "vline", "occt_user_guides__test_harness.html#occt_draw_4_4_11", null ],
          [ "vcircle", "occt_user_guides__test_harness.html#occt_draw_4_4_12", null ],
          [ "vtri2d", "occt_user_guides__test_harness.html#occt_draw_4_4_13", null ],
          [ "vselmode", "occt_user_guides__test_harness.html#occt_draw_4_4_14", null ],
          [ "vconnect", "occt_user_guides__test_harness.html#occt_draw_4_4_15", null ],
          [ "vtriangle", "occt_user_guides__test_harness.html#occt_draw_4_4_16", null ],
          [ "vsegment", "occt_user_guides__test_harness.html#occt_draw_4_4_17", null ],
          [ "vpointcloud", "occt_user_guides__test_harness.html#occt_draw_4_4_18", null ],
          [ "vclipplane", "occt_user_guides__test_harness.html#occt_draw_4_4_19", null ],
          [ "vdimension", "occt_user_guides__test_harness.html#occt_draw_4_4_20", null ],
          [ "vdimparam", "occt_user_guides__test_harness.html#occt_draw_4_4_21", null ],
          [ "vangleparam", "occt_user_guides__test_harness.html#occt_draw_4_4_22", null ],
          [ "vlengthparam", "occt_user_guides__test_harness.html#occt_draw_4_4_23", null ],
          [ "vmovedim", "occt_user_guides__test_harness.html#occt_draw_4_4_24", null ]
        ] ],
        [ "AIS viewer – Mesh Visualization Service", "occt_user_guides__test_harness.html#occt_draw_4_5", [
          [ "meshfromstl", "occt_user_guides__test_harness.html#occt_draw_4_5_1", null ],
          [ "meshdispmode", "occt_user_guides__test_harness.html#occt_draw_4_5_2", null ],
          [ "meshselmode", "occt_user_guides__test_harness.html#occt_draw_4_5_3", null ],
          [ "meshshadcolor", "occt_user_guides__test_harness.html#occt_draw_4_5_4", null ],
          [ "meshlinkcolor", "occt_user_guides__test_harness.html#occt_draw_4_5_5", null ],
          [ "meshmat", "occt_user_guides__test_harness.html#occt_draw_4_5_6", null ],
          [ "meshshrcoef", "occt_user_guides__test_harness.html#occt_draw_4_5_7", null ],
          [ "meshshow", "occt_user_guides__test_harness.html#occt_draw_4_5_8", null ],
          [ "meshhide", "occt_user_guides__test_harness.html#occt_draw_4_5_9", null ],
          [ "meshhidesel", "occt_user_guides__test_harness.html#occt_draw_4_5_10", null ],
          [ "meshshowsel", "occt_user_guides__test_harness.html#occt_draw_4_5_11", null ],
          [ "meshshowall", "occt_user_guides__test_harness.html#occt_draw_4_5_12", null ],
          [ "meshdelete", "occt_user_guides__test_harness.html#occt_draw_4_5_13", null ]
        ] ],
        [ "VIS Viewer commands", "occt_user_guides__test_harness.html#occt_draw_4_6", [
          [ "ivtkinit", "occt_user_guides__test_harness.html#occt_draw_4_6_1", null ],
          [ "ivtkdisplay", "occt_user_guides__test_harness.html#occt_draw_4_6_2", null ],
          [ "ivtkerase", "occt_user_guides__test_harness.html#occt_draw_4_6_3", null ],
          [ "ivtkfit", "occt_user_guides__test_harness.html#occt_draw_4_6_4", null ],
          [ "ivtkdispmode", "occt_user_guides__test_harness.html#occt_draw_4_6_5", null ],
          [ "ivtksetselmode", "occt_user_guides__test_harness.html#occt_draw_4_6_6", null ],
          [ "ivtkmoveto", "occt_user_guides__test_harness.html#occt_draw_4_6_7", null ],
          [ "ivtkselect", "occt_user_guides__test_harness.html#occt_draw_4_6_8", null ],
          [ "ivtkdump", "occt_user_guides__test_harness.html#occt_draw_4_6_9", null ],
          [ "ivtkbgcolor", "occt_user_guides__test_harness.html#occt_draw_4_6_10", null ]
        ] ]
      ] ],
      [ "OCAF commands", "occt_user_guides__test_harness.html#occt_draw_5", [
        [ "Application commands", "occt_user_guides__test_harness.html#occt_draw_5_1", [
          [ "NewDocument", "occt_user_guides__test_harness.html#occt_draw_5_1_1", null ],
          [ "IsInSession", "occt_user_guides__test_harness.html#occt_draw_5_1_2", null ],
          [ "ListDocuments", "occt_user_guides__test_harness.html#occt_draw_5_1_3", null ],
          [ "Open", "occt_user_guides__test_harness.html#occt_draw_5_1_4", null ],
          [ "Close", "occt_user_guides__test_harness.html#occt_draw_5_1_5", null ],
          [ "Save", "occt_user_guides__test_harness.html#occt_draw_5_1_6", null ],
          [ "SaveAs", "occt_user_guides__test_harness.html#occt_draw_5_1_7", null ]
        ] ],
        [ "Basic commands", "occt_user_guides__test_harness.html#occt_draw_5_2", [
          [ "Label", "occt_user_guides__test_harness.html#occt_draw_5_2_1", null ],
          [ "NewChild", "occt_user_guides__test_harness.html#occt_draw_5_2_2", null ],
          [ "Children", "occt_user_guides__test_harness.html#occt_draw_5_2_3", null ],
          [ "ForgetAll", "occt_user_guides__test_harness.html#occt_draw_5_2_4", null ],
          [ "Application commands", "occt_user_guides__test_harness.html#occt_draw_5_3", null ],
          [ "Main", "occt_user_guides__test_harness.html#occt_draw_5_3_1", null ],
          [ "UndoLimit", "occt_user_guides__test_harness.html#occt_draw_5_3_2", null ],
          [ "Undo", "occt_user_guides__test_harness.html#occt_draw_5_3_3", null ],
          [ "Redo", "occt_user_guides__test_harness.html#occt_draw_5_3_4", null ],
          [ "OpenCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_5", null ],
          [ "CommitCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_6", null ],
          [ "NewCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_7", null ],
          [ "AbortCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_8", null ],
          [ "Copy", "occt_user_guides__test_harness.html#occt_draw_5_3_9", null ],
          [ "UpdateLink", "occt_user_guides__test_harness.html#occt_draw_5_3_10", null ],
          [ "CopyWithLink", "occt_user_guides__test_harness.html#occt_draw_5_3_11", null ],
          [ "UpdateXLinks", "occt_user_guides__test_harness.html#occt_draw_5_3_12", null ],
          [ "DumpDocument", "occt_user_guides__test_harness.html#occt_draw_5_3_13", null ]
        ] ],
        [ "Data Framework commands", "occt_user_guides__test_harness.html#occt_draw_5_4", [
          [ "MakeDF", "occt_user_guides__test_harness.html#occt_draw_5_4_1", null ],
          [ "ClearDF", "occt_user_guides__test_harness.html#occt_draw_5_4_2", null ],
          [ "CopyDF", "occt_user_guides__test_harness.html#occt_draw_5_4_3", null ],
          [ "CopyLabel", "occt_user_guides__test_harness.html#occt_draw_5_4_4", null ],
          [ "MiniDumpDF", "occt_user_guides__test_harness.html#occt_draw_5_4_5", null ],
          [ "XDumpDF", "occt_user_guides__test_harness.html#occt_draw_5_4_6", null ]
        ] ],
        [ "General attributes commands", "occt_user_guides__test_harness.html#occt_draw_5_5", [
          [ "SetInteger", "occt_user_guides__test_harness.html#occt_draw_5_5_1", null ],
          [ "GetInteger", "occt_user_guides__test_harness.html#occt_draw_5_5_2", null ],
          [ "SetReal", "occt_user_guides__test_harness.html#occt_draw_5_5_3", null ],
          [ "GetReal", "occt_user_guides__test_harness.html#occt_draw_5_5_4", null ],
          [ "SetIntArray", "occt_user_guides__test_harness.html#occt_draw_5_5_5", null ],
          [ "GetIntArray", "occt_user_guides__test_harness.html#occt_draw_5_5_6", null ],
          [ "SetRealArray", "occt_user_guides__test_harness.html#occt_draw_5_5_7", null ],
          [ "GetRealArray", "occt_user_guides__test_harness.html#occt_draw_5_5_8", null ],
          [ "SetComment", "occt_user_guides__test_harness.html#occt_draw_5_5_9", null ],
          [ "GetComment", "occt_user_guides__test_harness.html#occt_draw_5_5_10", null ],
          [ "SetExtStringArray", "occt_user_guides__test_harness.html#occt_draw_5_5_11", null ],
          [ "GetExtStringArray", "occt_user_guides__test_harness.html#occt_draw_5_5_12", null ],
          [ "SetName", "occt_user_guides__test_harness.html#occt_draw_5_5_13", null ],
          [ "GetName", "occt_user_guides__test_harness.html#occt_draw_5_5_14", null ],
          [ "SetReference", "occt_user_guides__test_harness.html#occt_draw_5_5_15", null ],
          [ "GetReference", "occt_user_guides__test_harness.html#occt_draw_5_5_16", null ],
          [ "SetUAttribute", "occt_user_guides__test_harness.html#occt_draw_5_5_17", null ],
          [ "GetUAttribute", "occt_user_guides__test_harness.html#occt_draw_5_5_18", null ],
          [ "SetFunction", "occt_user_guides__test_harness.html#occt_draw_5_5_19", null ],
          [ "GetFunction", "occt_user_guides__test_harness.html#occt_draw_5_5_20", null ],
          [ "NewShape", "occt_user_guides__test_harness.html#occt_draw_5_5_21", null ],
          [ "SetShape", "occt_user_guides__test_harness.html#occt_draw_5_5_22", null ],
          [ "GetShape", "occt_user_guides__test_harness.html#occt_draw_5_5_23", null ]
        ] ],
        [ "Geometric attributes commands", "occt_user_guides__test_harness.html#occt_draw_5_6", [
          [ "SetPoint", "occt_user_guides__test_harness.html#occt_draw_5_6_1", null ],
          [ "GetPoint", "occt_user_guides__test_harness.html#occt_draw_5_6_2", null ],
          [ "SetAxis", "occt_user_guides__test_harness.html#occt_draw_5_6_3", null ],
          [ "GetAxis", "occt_user_guides__test_harness.html#occt_draw_5_6_4", null ],
          [ "SetPlane", "occt_user_guides__test_harness.html#occt_draw_5_6_5", null ],
          [ "GetPlane", "occt_user_guides__test_harness.html#occt_draw_5_6_6", null ],
          [ "SetGeometry", "occt_user_guides__test_harness.html#occt_draw_5_6_7", null ],
          [ "GetGeometryType", "occt_user_guides__test_harness.html#occt_draw_5_6_8", null ],
          [ "SetConstraint", "occt_user_guides__test_harness.html#occt_draw_5_6_9", null ],
          [ "GetConstraint", "occt_user_guides__test_harness.html#occt_draw_5_6_10", null ],
          [ "SetVariable", "occt_user_guides__test_harness.html#occt_draw_5_6_11", null ],
          [ "GetVariable", "occt_user_guides__test_harness.html#occt_draw_5_6_12", null ]
        ] ],
        [ "Tree attributes commands", "occt_user_guides__test_harness.html#occt_draw_5_7", [
          [ "RootNode", "occt_user_guides__test_harness.html#occt_draw_5_7_1", null ],
          [ "SetNode", "occt_user_guides__test_harness.html#occt_draw_5_7_2", null ],
          [ "AppendNode", "occt_user_guides__test_harness.html#occt_draw_5_7_3", null ],
          [ "PrependNode", "occt_user_guides__test_harness.html#occt_draw_5_7_4", null ],
          [ "InsertNodeBefore", "occt_user_guides__test_harness.html#occt_draw_5_7_5", null ],
          [ "InsertNodeAfter", "occt_user_guides__test_harness.html#occt_draw_5_7_6", null ],
          [ "DetachNode", "occt_user_guides__test_harness.html#occt_draw_5_7_7", null ],
          [ "ChildNodeIterate", "occt_user_guides__test_harness.html#occt_draw_5_7_8", null ],
          [ "InitChildNodeIterator", "occt_user_guides__test_harness.html#occt_draw_5_7_9", null ],
          [ "ChildNodeMore", "occt_user_guides__test_harness.html#occt_draw_5_7_10", null ],
          [ "ChildNodeNext", "occt_user_guides__test_harness.html#occt_draw_5_7_11", null ],
          [ "ChildNodeValue", "occt_user_guides__test_harness.html#occt_draw_5_7_12", null ],
          [ "ChildNodeNextBrother", "occt_user_guides__test_harness.html#occt_draw_5_7_13", null ]
        ] ],
        [ "Standard presentation commands", "occt_user_guides__test_harness.html#occt_draw_5_8", [
          [ "AISInitViewer", "occt_user_guides__test_harness.html#occt_draw_5_8_1", null ],
          [ "AISRepaint", "occt_user_guides__test_harness.html#occt_draw_5_8_2", null ],
          [ "AISDisplay", "occt_user_guides__test_harness.html#occt_draw_5_8_3", null ],
          [ "AISUpdate", "occt_user_guides__test_harness.html#occt_draw_5_8_4", null ],
          [ "AISErase", "occt_user_guides__test_harness.html#occt_draw_5_8_5", null ],
          [ "AISRemove", "occt_user_guides__test_harness.html#occt_draw_5_8_6", null ],
          [ "AISSet", "occt_user_guides__test_harness.html#occt_draw_5_8_7", null ],
          [ "AISDriver", "occt_user_guides__test_harness.html#occt_draw_5_8_8", null ],
          [ "AISUnset", "occt_user_guides__test_harness.html#occt_draw_5_8_9", null ],
          [ "AISTransparency", "occt_user_guides__test_harness.html#occt_draw_5_8_10", null ],
          [ "AISHasOwnTransparency", "occt_user_guides__test_harness.html#occt_draw_5_8_11", null ],
          [ "AISMaterial", "occt_user_guides__test_harness.html#occt_draw_5_8_12", null ],
          [ "AISHasOwnMaterial", "occt_user_guides__test_harness.html#occt_draw_5_8_13", null ],
          [ "AISColor", "occt_user_guides__test_harness.html#occt_draw_5_8_14", null ],
          [ "AISHasOwnColor", "occt_user_guides__test_harness.html#occt_draw_5_8_15", null ]
        ] ]
      ] ],
      [ "Geometry commands", "occt_user_guides__test_harness.html#occt_draw_6", [
        [ "Overview", "occt_user_guides__test_harness.html#occt_draw_6_1", null ],
        [ "Curve creation", "occt_user_guides__test_harness.html#occt_draw_6_2", [
          [ "point", "occt_user_guides__test_harness.html#occt_draw_6_2_1", null ],
          [ "line", "occt_user_guides__test_harness.html#occt_draw_6_2_2", null ],
          [ "circle", "occt_user_guides__test_harness.html#occt_draw_6_2_3", null ],
          [ "ellipse", "occt_user_guides__test_harness.html#occt_draw_6_2_4", null ],
          [ "hyperbola", "occt_user_guides__test_harness.html#occt_draw_6_2_5", null ],
          [ "parabola", "occt_user_guides__test_harness.html#occt_draw_6_2_6", null ],
          [ "beziercurve, 2dbeziercurve", "occt_user_guides__test_harness.html#occt_draw_6_2_7", null ],
          [ "bsplinecurve, 2dbsplinecurve, pbsplinecurve, 2dpbsplinecurve", "occt_user_guides__test_harness.html#occt_draw_6_2_8", null ],
          [ "uiso, viso", "occt_user_guides__test_harness.html#occt_draw_6_2_9", null ],
          [ "to3d, to2d", "occt_user_guides__test_harness.html#occt_draw_6_2_10", null ],
          [ "project", "occt_user_guides__test_harness.html#occt_draw_6_2_11", null ]
        ] ],
        [ "Surface creation", "occt_user_guides__test_harness.html#occt_draw_6_3", [
          [ "plane", "occt_user_guides__test_harness.html#occt_draw_6_3_1", null ],
          [ "cylinder", "occt_user_guides__test_harness.html#occt_draw_6_3_2", null ],
          [ "cone", "occt_user_guides__test_harness.html#occt_draw_6_3_3", null ],
          [ "sphere", "occt_user_guides__test_harness.html#occt_draw_6_3_4", null ],
          [ "torus", "occt_user_guides__test_harness.html#occt_draw_6_3_5", null ],
          [ "beziersurf", "occt_user_guides__test_harness.html#occt_draw_6_3_6", null ],
          [ "bsplinesurf, upbsplinesurf, vpbsplinesurf, uvpbsplinesurf", "occt_user_guides__test_harness.html#occt_draw_6_3_7", null ],
          [ "trim, trimu, trimv", "occt_user_guides__test_harness.html#occt_draw_6_3_8", null ],
          [ "offset", "occt_user_guides__test_harness.html#occt_draw_6_3_9", null ],
          [ "revsurf", "occt_user_guides__test_harness.html#occt_draw_6_3_10", null ],
          [ "extsurf", "occt_user_guides__test_harness.html#occt_draw_6_3_11", null ],
          [ "convert", "occt_user_guides__test_harness.html#occt_draw_6_3_12", null ]
        ] ],
        [ "Curve and surface modifications", "occt_user_guides__test_harness.html#occt_draw_6_4", [
          [ "reverse, ureverse, vreverse", "occt_user_guides__test_harness.html#occt_draw_6_4_1", null ],
          [ "exchuv", "occt_user_guides__test_harness.html#occt_draw_6_4_2", null ],
          [ "segment, segsur", "occt_user_guides__test_harness.html#occt_draw_6_4_3", null ],
          [ "iincudeg, incvdeg", "occt_user_guides__test_harness.html#occt_draw_6_4_4", null ],
          [ "cmovep, movep, movecolp, moverowp", "occt_user_guides__test_harness.html#occt_draw_6_4_5", null ],
          [ "insertpole, rempole, remcolpole, remrowpole", "occt_user_guides__test_harness.html#occt_draw_6_4_6", null ],
          [ "insertknot, insertuknot, insertvknot", "occt_user_guides__test_harness.html#occt_draw_6_4_7", null ],
          [ "remknot, remuknot, remvknot", "occt_user_guides__test_harness.html#occt_draw_6_4_8", null ],
          [ "setperiodic, setnotperiodic, setuperiodic, setunotperiodic, setvperiodic, setvnotperiodic", "occt_user_guides__test_harness.html#occt_draw_6_4_9", null ],
          [ "setorigin, setuorigin, setvorigin", "occt_user_guides__test_harness.html#occt_draw_6_4_10", null ]
        ] ],
        [ "Transformations", "occt_user_guides__test_harness.html#occt_draw_6_5", [
          [ "translate, dtranslate", "occt_user_guides__test_harness.html#occt_draw_6_5_1", null ],
          [ "rotate, 2drotate", "occt_user_guides__test_harness.html#occt_draw_6_5_2", null ],
          [ "pmirror, lmirror, smirror, dpmirror, dlmirror", "occt_user_guides__test_harness.html#occt_draw_6_5_3", null ],
          [ "pscale, dpscale", "occt_user_guides__test_harness.html#occt_draw_6_5_4", null ]
        ] ],
        [ "Curve and surface analysis", "occt_user_guides__test_harness.html#occt_draw_6_6", [
          [ "coord", "occt_user_guides__test_harness.html#occt_draw_6_6_1", null ],
          [ "cvalue, 2dcvalue", "occt_user_guides__test_harness.html#occt_draw_6_6_2", null ],
          [ "svalue", "occt_user_guides__test_harness.html#occt_draw_6_6_3", null ],
          [ "localprop, minmaxcurandinf", "occt_user_guides__test_harness.html#occt_draw_6_6_4", null ],
          [ "parameters", "occt_user_guides__test_harness.html#occt_draw_6_6_5", null ],
          [ "proj, 2dproj", "occt_user_guides__test_harness.html#occt_draw_6_6_6", null ],
          [ "surface_radius", "occt_user_guides__test_harness.html#occt_draw_6_6_7", null ]
        ] ],
        [ "Intersections", "occt_user_guides__test_harness.html#occt_draw_6_7", [
          [ "intersect", "occt_user_guides__test_harness.html#occt_draw_6_7_1", null ],
          [ "2dintersect", "occt_user_guides__test_harness.html#occt_draw_6_7_2", null ],
          [ "intconcon", "occt_user_guides__test_harness.html#occt_draw_6_7_3", null ]
        ] ],
        [ "Approximations", "occt_user_guides__test_harness.html#occt_draw_6_8", [
          [ "appro, dapprox", "occt_user_guides__test_harness.html#occt_draw_6_8_1", null ],
          [ "surfapp, grilapp, surfint", "occt_user_guides__test_harness.html#occt_draw_6_8_2", null ]
        ] ],
        [ "Projections", "occt_user_guides__test_harness.html#occt_draw_6_9", [
          [ "projponf", "occt_user_guides__test_harness.html#occt_draw_6_9_1", null ]
        ] ],
        [ "Constraints", "occt_user_guides__test_harness.html#occt_draw_6_10", [
          [ "cirtang", "occt_user_guides__test_harness.html#occt_draw_6_10_1", null ],
          [ "lintan", "occt_user_guides__test_harness.html#occt_draw_6_10_2", null ]
        ] ],
        [ "Display", "occt_user_guides__test_harness.html#occt_draw_6_11", [
          [ "dmod, discr, defle", "occt_user_guides__test_harness.html#occt_draw_6_11_1", null ],
          [ "nbiso", "occt_user_guides__test_harness.html#occt_draw_6_11_2", null ],
          [ "clpoles, shpoles", "occt_user_guides__test_harness.html#occt_draw_6_11_3", null ],
          [ "clknots, shknots", "occt_user_guides__test_harness.html#occt_draw_6_11_4", null ]
        ] ]
      ] ],
      [ "Topology commands", "occt_user_guides__test_harness.html#occt_draw_7", [
        [ "Basic topology", "occt_user_guides__test_harness.html#occt_draw_7_1", [
          [ "isos, discretisation", "occt_user_guides__test_harness.html#occt_draw_7_1_1", null ],
          [ "orientation, complement, invert, normals, range", "occt_user_guides__test_harness.html#occt_draw_7_1_2", null ],
          [ "explode, exwire, nbshapes", "occt_user_guides__test_harness.html#occt_draw_7_1_3", null ],
          [ "emptycopy, add, compound", "occt_user_guides__test_harness.html#occt_draw_7_1_4", null ],
          [ "compare", "occt_user_guides__test_harness.html#occt_draw_7_1_5", null ],
          [ "issubshape", "occt_user_guides__test_harness.html#occt_draw_7_1_6", null ]
        ] ],
        [ "Curve and surface topology", "occt_user_guides__test_harness.html#occt_draw_7_2", [
          [ "vertex", "occt_user_guides__test_harness.html#occt_draw_7_2_1", null ],
          [ "mkpoint", "occt_user_guides__test_harness.html#occt_draw_7_2_1a", null ],
          [ "edge, mkedge, uisoedge, visoedge", "occt_user_guides__test_harness.html#occt_draw_7_2_2", null ],
          [ "wire, polyline, polyvertex", "occt_user_guides__test_harness.html#occt_draw_7_2_3", null ],
          [ "profile", "occt_user_guides__test_harness.html#occt_draw_7_2_4", null ],
          [ "bsplineprof", "occt_user_guides__test_harness.html#occt_draw_7_2_5", null ],
          [ "mkoffset", "occt_user_guides__test_harness.html#occt_draw_7_2_6", null ],
          [ "mkplane, mkface", "occt_user_guides__test_harness.html#occt_draw_7_2_7", null ],
          [ "mkcurve, mksurface", "occt_user_guides__test_harness.html#occt_draw_7_2_8", null ],
          [ "pcurve", "occt_user_guides__test_harness.html#occt_draw_7_2_9", null ],
          [ "chfi2d", "occt_user_guides__test_harness.html#occt_draw_7_2_10", null ],
          [ "nproject", "occt_user_guides__test_harness.html#occt_draw_7_2_11", null ]
        ] ],
        [ "Primitives", "occt_user_guides__test_harness.html#occt_draw_7_3", [
          [ "box, wedge", "occt_user_guides__test_harness.html#occt_draw_7_3_1", null ],
          [ "pcylinder, pcone, psphere, ptorus", "occt_user_guides__test_harness.html#occt_draw_7_3_2", null ],
          [ "halfspace", "occt_user_guides__test_harness.html#occt_draw_7_3_3", null ]
        ] ],
        [ "Sweeping", "occt_user_guides__test_harness.html#occt_draw_7_4", [
          [ "prism", "occt_user_guides__test_harness.html#occt_draw_7_4_1", null ],
          [ "revol", "occt_user_guides__test_harness.html#occt_draw_7_4_2", null ],
          [ "pipe", "occt_user_guides__test_harness.html#occt_draw_7_4_3", null ],
          [ "mksweep, addsweep, setsweep, deletesweep, buildsweep, simulsweep", "occt_user_guides__test_harness.html#occt_draw_7_4_4", null ],
          [ "thrusections", "occt_user_guides__test_harness.html#occt_draw_7_4_5", null ]
        ] ],
        [ "Topological transformation", "occt_user_guides__test_harness.html#occt_draw_7_5", [
          [ "tcopy", "occt_user_guides__test_harness.html#occt_draw_7_5_1", null ],
          [ "tmove, treset", "occt_user_guides__test_harness.html#occt_draw_7_5_2", null ],
          [ "ttranslate, trotate", "occt_user_guides__test_harness.html#occt_draw_7_5_3", null ],
          [ "tmirror, tscale", "occt_user_guides__test_harness.html#occt_draw_7_5_4", null ]
        ] ],
        [ "Old Topological operations", "occt_user_guides__test_harness.html#occt_draw_7_6", [
          [ "fuse, cut, common", "occt_user_guides__test_harness.html#occt_draw_7_6_1", null ],
          [ "section, psection", "occt_user_guides__test_harness.html#occt_draw_7_6_2", null ],
          [ "sewing", "occt_user_guides__test_harness.html#occt_draw_7_6_3", null ]
        ] ],
        [ "New Topological operations", "occt_user_guides__test_harness.html#occt_draw_7_7", null ],
        [ "Drafting and blending", "occt_user_guides__test_harness.html#occt_draw_7_8", [
          [ "depouille", "occt_user_guides__test_harness.html#occt_draw_7_8_1", null ],
          [ "chamf", "occt_user_guides__test_harness.html#occt_draw_7_8_2", null ],
          [ "blend", "occt_user_guides__test_harness.html#occt_draw_7_8_3", null ],
          [ "bfuseblend", "occt_user_guides__test_harness.html#occt_draw_7_8_4", null ],
          [ "bcutblend", "occt_user_guides__test_harness.html#occt_draw_7_8_4a", null ],
          [ "mkevol, updatevol, buildevol", "occt_user_guides__test_harness.html#occt_draw_7_8_5", null ]
        ] ],
        [ "Defeaturing", "occt_user_guides__test_harness.html#occt_draw_defeaturing", null ],
        [ "3D Model Periodicity", "occt_user_guides__test_harness.html#occt_draw_makeperiodic", [
          [ "makeperiodic", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_makeperiodic", null ],
          [ "repeatshape", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_repeatshape", null ],
          [ "periodictwins", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_periodictwins", null ],
          [ "clearrepetitions", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_clearrepetitions", null ]
        ] ],
        [ "Making the touching shapes connected", "occt_user_guides__test_harness.html#occt_draw_makeconnected", [
          [ "makeconnected", "occt_user_guides__test_harness.html#occt_draw_makeconnected_makeconnected", null ],
          [ "cmaterialson", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cmaterialson", null ],
          [ "cmakeperiodic", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cmakeperiodic", null ],
          [ "crepeatshape", "occt_user_guides__test_harness.html#occt_draw_makeconnected_crepeatshape", null ],
          [ "cperiodictwins", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cperiodictwins", null ],
          [ "cclearrepetitions", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cclearrepetitions", null ]
        ] ],
        [ "Analysis of topology and geometry", "occt_user_guides__test_harness.html#occt_draw_7_9", [
          [ "lprops, sprops, vprops", "occt_user_guides__test_harness.html#occt_draw_7_9_1", null ],
          [ "bounding", "occt_user_guides__test_harness.html#occt_draw_7_9_2", null ],
          [ "isbbinterf", "occt_user_guides__test_harness.html#occt_draw_7_9_2a", null ],
          [ "distmini", "occt_user_guides__test_harness.html#occt_draw_7_9_3", null ],
          [ "xdistef, xdistcs, xdistcc, xdistc2dc2dss, xdistcc2ds", "occt_user_guides__test_harness.html#occt_draw_7_9_4", null ],
          [ "checkshape", "occt_user_guides__test_harness.html#occt_draw_7_9_5", null ],
          [ "tolsphere", "occt_user_guides__test_harness.html#occt_draw_7_9_6", null ],
          [ "validrange", "occt_user_guides__test_harness.html#occt_draw_7_9_7", null ]
        ] ],
        [ "Surface creation", "occt_user_guides__test_harness.html#occt_draw_7_10", [
          [ "gplate,", "occt_user_guides__test_harness.html#occt_draw_7_10_1", null ],
          [ "filling, fillingparam", "occt_user_guides__test_harness.html#occt_draw_7_10_2", null ]
        ] ],
        [ "Complex Topology", "occt_user_guides__test_harness.html#occt_draw_7_11", [
          [ "offsetshape, offsetcompshape", "occt_user_guides__test_harness.html#occt_draw_7_11_1", null ],
          [ "featprism, featdprism, featrevol, featlf, featrf", "occt_user_guides__test_harness.html#occt_draw_7_11_2", null ],
          [ "draft", "occt_user_guides__test_harness.html#occt_draw_7_11_3", null ],
          [ "deform", "occt_user_guides__test_harness.html#occt_draw_7_11_4", null ],
          [ "nurbsconvert", "occt_user_guides__test_harness.html#occt_draw_7_11_5", null ],
          [ "edgestofaces", "occt_user_guides__test_harness.html#occt_draw_7_11_6", null ]
        ] ],
        [ "History commands", "occt_user_guides__test_harness.html#occt_draw_hist", [
          [ "setfillhistory", "occt_user_guides__test_harness.html#occt_draw_hist_set", null ],
          [ "savehistory", "occt_user_guides__test_harness.html#occt_draw_hist_save", null ],
          [ "isdeleted", "occt_user_guides__test_harness.html#occt_draw_hist_isdel", null ],
          [ "modified", "occt_user_guides__test_harness.html#occt_draw_hist_mod", null ],
          [ "generated", "occt_user_guides__test_harness.html#occt_draw_hist_gen", null ],
          [ "Enabling Draw history support for the algorithms", "occt_user_guides__test_harness.html#occt_draw_hist_extension", null ]
        ] ],
        [ "Texture Mapping to a Shape", "occt_user_guides__test_harness.html#occt_draw_7_12", [
          [ "vtexture", "occt_user_guides__test_harness.html#occt_draw_7_12_1", null ],
          [ "vtexscale", "occt_user_guides__test_harness.html#occt_draw_7_12_2", null ],
          [ "vtexorigin", "occt_user_guides__test_harness.html#occt_draw_7_12_3", null ],
          [ "vtexrepeat", "occt_user_guides__test_harness.html#occt_draw_7_12_4", null ],
          [ "vtexdefault", "occt_user_guides__test_harness.html#occt_draw_7_12_5", null ]
        ] ]
      ] ],
      [ "Boolean Operations Commands", "occt_user_guides__test_harness.html#occt_draw_bop", [
        [ "Boolean Operations on two operands", "occt_user_guides__test_harness.html#occt_draw_bop_two", [
          [ "bop, bopfuse, bopcut, boptuc, bopcommon, bopsection", "occt_user_guides__test_harness.html#occt_draw_bop_two_bop", null ],
          [ "bfuse, bcut, btuc, bcommon, bsection", "occt_user_guides__test_harness.html#occt_draw_bop_two_bapi", null ]
        ] ],
        [ "Boolean Operations on multiple arguments", "occt_user_guides__test_harness.html#occt_draw_bop_multi", null ],
        [ "General commands for working with multiple arguments", "occt_user_guides__test_harness.html#occt_draw_bop_general_com", [
          [ "Adding arguments of operation", "occt_user_guides__test_harness.html#occt_draw_bop_general_com_add", null ],
          [ "Intersection of the arguments", "occt_user_guides__test_harness.html#occt_draw_bop_general_com_fill", null ]
        ] ],
        [ "Building the result of operations", "occt_user_guides__test_harness.html#occt_draw_bop_build", [
          [ "Boolean operation", "occt_user_guides__test_harness.html#occt_draw_bop_build_BOP", null ],
          [ "General Fuse operation", "occt_user_guides__test_harness.html#occt_draw_bop_build_GF", null ],
          [ "Split operation", "occt_user_guides__test_harness.html#occt_draw_bop_build_Split", null ],
          [ "Alternative command for BOP", "occt_user_guides__test_harness.html#occt_draw_bop_build_BOP_opensolids", null ],
          [ "Cells Builder", "occt_user_guides__test_harness.html#occt_draw_bop_build_CB", null ],
          [ "Building result through API", "occt_user_guides__test_harness.html#occt_draw_bop_build_API", null ]
        ] ],
        [ "Setting options for the operation", "occt_user_guides__test_harness.html#occt_draw_bop_options", [
          [ "Parallel processing mode", "occt_user_guides__test_harness.html#occt_draw_bop_options_par", null ],
          [ "Safe processing mode", "occt_user_guides__test_harness.html#occt_draw_bop_options_safe", null ],
          [ "Fuzzy option", "occt_user_guides__test_harness.html#occt_draw_bop_options_fuzzy", null ],
          [ "Gluing option", "occt_user_guides__test_harness.html#occt_draw_bop_options_glue", null ],
          [ "Check inversion of input solids", "occt_user_guides__test_harness.html#occt_draw_bop_options_checkinv", null ],
          [ "OBB usage", "occt_user_guides__test_harness.html#occt_draw_bop_options_obb", null ],
          [ "Result simplification", "occt_user_guides__test_harness.html#occt_draw_bop_options_simplify", null ],
          [ "Drawing warning shapes", "occt_user_guides__test_harness.html#occt_draw_bop_options_warn", null ]
        ] ],
        [ "Check commands", "occt_user_guides__test_harness.html#occt_draw_bop_check", [
          [ "bopcheck", "occt_user_guides__test_harness.html#occt_draw_bop_check_1", null ],
          [ "bopargcheck", "occt_user_guides__test_harness.html#occt_draw_bop_check_2", null ]
        ] ],
        [ "Debug commands", "occt_user_guides__test_harness.html#occt_draw_bop_debug", [
          [ "Intersection Part commands", "occt_user_guides__test_harness.html#occt_draw_bop_debug_int", null ],
          [ "Building Part commands", "occt_user_guides__test_harness.html#occt_draw_bop_debug_build", null ]
        ] ]
      ] ],
      [ "Data Exchange commands", "occt_user_guides__test_harness.html#occt_draw_8", [
        [ "IGES commands", "occt_user_guides__test_harness.html#occt_draw_8_1", [
          [ "igesread", "occt_user_guides__test_harness.html#occt_draw_8_1_1", null ],
          [ "tplosttrim", "occt_user_guides__test_harness.html#occt_draw_8_1_2", null ],
          [ "brepiges", "occt_user_guides__test_harness.html#occt_draw_8_1_3", null ]
        ] ],
        [ "STEP commands", "occt_user_guides__test_harness.html#occt_draw_8_2", [
          [ "stepread", "occt_user_guides__test_harness.html#occt_draw_8_2_1", null ],
          [ "stepwrite", "occt_user_guides__test_harness.html#occt_draw_8_2_2", null ]
        ] ],
        [ "General commands", "occt_user_guides__test_harness.html#occt_draw_8_3", [
          [ "count", "occt_user_guides__test_harness.html#occt_draw_8_3_1", null ],
          [ "data", "occt_user_guides__test_harness.html#occt_draw_8_3_2", null ],
          [ "elabel", "occt_user_guides__test_harness.html#occt_draw_8_3_3", null ],
          [ "entity", "occt_user_guides__test_harness.html#occt_draw_8_3_4", null ],
          [ "enum", "occt_user_guides__test_harness.html#occt_draw_8_3_5", null ],
          [ "estatus", "occt_user_guides__test_harness.html#occt_draw_8_3_6", null ],
          [ "fromshape", "occt_user_guides__test_harness.html#occt_draw_8_3_7", null ],
          [ "givecount", "occt_user_guides__test_harness.html#occt_draw_8_3_8", null ],
          [ "givelist", "occt_user_guides__test_harness.html#occt_draw_8_3_9", null ],
          [ "listcount", "occt_user_guides__test_harness.html#occt_draw_8_3_10", null ],
          [ "listitems", "occt_user_guides__test_harness.html#occt_draw_8_3_11", null ],
          [ "listtypes", "occt_user_guides__test_harness.html#occt_draw_8_3_12", null ],
          [ "newmodel", "occt_user_guides__test_harness.html#occt_draw_8_3_13", null ],
          [ "param", "occt_user_guides__test_harness.html#occt_draw_8_3_14", null ],
          [ "sumcount", "occt_user_guides__test_harness.html#occt_draw_8_3_15", null ],
          [ "tpclear", "occt_user_guides__test_harness.html#occt_draw_8_3_16", null ],
          [ "tpdraw", "occt_user_guides__test_harness.html#occt_draw_8_3_17", null ],
          [ "tpent", "occt_user_guides__test_harness.html#occt_draw_8_3_18", null ],
          [ "tpstat", "occt_user_guides__test_harness.html#occt_draw_8_3_19", null ],
          [ "xload", "occt_user_guides__test_harness.html#occt_draw_8_3_20", null ]
        ] ],
        [ "Overview of XDE commands", "occt_user_guides__test_harness.html#occt_draw_8_4", [
          [ "ReadIges", "occt_user_guides__test_harness.html#occt_draw_8_4_1", null ],
          [ "ReadStep", "occt_user_guides__test_harness.html#occt_draw_8_4_2", null ],
          [ "WriteIges", "occt_user_guides__test_harness.html#occt_draw_8_4_3", null ],
          [ "WriteStep", "occt_user_guides__test_harness.html#occt_draw_8_4_4", null ],
          [ "XFileCur", "occt_user_guides__test_harness.html#occt_draw_8_4_5", null ],
          [ "XFileList", "occt_user_guides__test_harness.html#occt_draw_8_4_6", null ],
          [ "XFileSet", "occt_user_guides__test_harness.html#occt_draw_8_4_7", null ],
          [ "XFromShape", "occt_user_guides__test_harness.html#occt_draw_8_4_8", null ]
        ] ],
        [ "XDE general commands", "occt_user_guides__test_harness.html#occt_draw_8_5", [
          [ "XNewDoc", "occt_user_guides__test_harness.html#occt_draw_8_5_1", null ],
          [ "XShow", "occt_user_guides__test_harness.html#occt_draw_8_5_2", null ],
          [ "XStat", "occt_user_guides__test_harness.html#occt_draw_8_5_3", null ],
          [ "XWdump", "occt_user_guides__test_harness.html#occt_draw_8_5_4", null ],
          [ "Xdump", "occt_user_guides__test_harness.html#occt_draw_8_5_5", null ]
        ] ],
        [ "XDE shape commands", "occt_user_guides__test_harness.html#occt_draw_8_6", [
          [ "XAddComponent", "occt_user_guides__test_harness.html#occt_draw_8_6_1", null ],
          [ "XAddShape", "occt_user_guides__test_harness.html#occt_draw_8_6_2", null ],
          [ "XFindComponent", "occt_user_guides__test_harness.html#occt_draw_8_6_3", null ],
          [ "XFindShape", "occt_user_guides__test_harness.html#occt_draw_8_6_4", null ],
          [ "XGetFreeShapes", "occt_user_guides__test_harness.html#occt_draw_8_6_5", null ],
          [ "XGetOneShape", "occt_user_guides__test_harness.html#occt_draw_8_6_6", null ],
          [ "XGetReferredShape", "occt_user_guides__test_harness.html#occt_draw_8_6_7", null ],
          [ "XGetShape", "occt_user_guides__test_harness.html#occt_draw_8_6_8", null ],
          [ "XGetTopLevelShapes", "occt_user_guides__test_harness.html#occt_draw_8_6_9", null ],
          [ "XLabelInfo", "occt_user_guides__test_harness.html#occt_draw_8_6_10", null ],
          [ "XNewShape", "occt_user_guides__test_harness.html#occt_draw_8_6_11", null ],
          [ "XRemoveComponent", "occt_user_guides__test_harness.html#occt_draw_8_6_12", null ],
          [ "XRemoveShape", "occt_user_guides__test_harness.html#occt_draw_8_6_13", null ],
          [ "XSetShape", "occt_user_guides__test_harness.html#occt_draw_8_6_14", null ],
          [ "XUpdateAssemblies", "occt_user_guides__test_harness.html#occt_draw_8_6_15", null ]
        ] ],
        [ "XDE color commands", "occt_user_guides__test_harness.html#occt_draw_8_7_", [
          [ "XAddColor", "occt_user_guides__test_harness.html#occt_draw_8_7_1", null ],
          [ "XFindColor", "occt_user_guides__test_harness.html#occt_draw_8_7_2", null ],
          [ "XGetAllColors", "occt_user_guides__test_harness.html#occt_draw_8_7_3", null ],
          [ "XGetColor", "occt_user_guides__test_harness.html#occt_draw_8_7_4", null ],
          [ "XGetObjVisibility", "occt_user_guides__test_harness.html#occt_draw_8_7_5", null ],
          [ "XGetShapeColor", "occt_user_guides__test_harness.html#occt_draw_8_7_6", null ],
          [ "XRemoveColor", "occt_user_guides__test_harness.html#occt_draw_8_7_7", null ],
          [ "XSetColor", "occt_user_guides__test_harness.html#occt_draw_8_7_8", null ],
          [ "XSetObjVisibility", "occt_user_guides__test_harness.html#occt_draw_8_7_9", null ],
          [ "XUnsetColor", "occt_user_guides__test_harness.html#occt_draw_8_7_10", null ]
        ] ],
        [ "XDE layer commands", "occt_user_guides__test_harness.html#occt_draw_8_8_", [
          [ "XAddLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_1", null ],
          [ "XFindLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_2", null ],
          [ "XGetAllLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_3", null ],
          [ "XGetLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_4", null ],
          [ "XGetOneLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_5", null ],
          [ "XIsVisible", "occt_user_guides__test_harness.html#occt_draw_8_8_6", null ],
          [ "XRemoveAllLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_7", null ],
          [ "XRemoveLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_8", null ],
          [ "XSetLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_9", null ],
          [ "XSetVisibility", "occt_user_guides__test_harness.html#occt_draw_8_8_10", null ],
          [ "XUnSetAllLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_11", null ],
          [ "XUnSetLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_12", null ]
        ] ],
        [ "XDE property commands", "occt_user_guides__test_harness.html#occt_draw_8_9", [
          [ "XCheckProps", "occt_user_guides__test_harness.html#occt_draw_8_9_1", null ],
          [ "XGetArea", "occt_user_guides__test_harness.html#occt_draw_8_9_2", null ],
          [ "XGetCentroid", "occt_user_guides__test_harness.html#occt_draw_8_9_3", null ],
          [ "XGetVolume", "occt_user_guides__test_harness.html#occt_draw_8_9_4", null ],
          [ "XSetArea", "occt_user_guides__test_harness.html#occt_draw_8_9_5", null ],
          [ "XSetCentroid", "occt_user_guides__test_harness.html#occt_draw_8_9_6", null ],
          [ "XSetMaterial", "occt_user_guides__test_harness.html#occt_draw_8_9_7", null ],
          [ "XSetVolume", "occt_user_guides__test_harness.html#occt_draw_8_9_8", null ],
          [ "XShapeMassProps", "occt_user_guides__test_harness.html#occt_draw_8_9_9", null ],
          [ "XShapeVolume", "occt_user_guides__test_harness.html#occt_draw_8_9_10", null ]
        ] ]
      ] ],
      [ "Shape Healing commands", "occt_user_guides__test_harness.html#occt_draw_9", [
        [ "General commands", "occt_user_guides__test_harness.html#occt_draw_9_1", [
          [ "bsplres", "occt_user_guides__test_harness.html#occt_draw_9_1_1", null ],
          [ "checkfclass2d", "occt_user_guides__test_harness.html#occt_draw_9_1_2", null ],
          [ "checkoverlapedges", "occt_user_guides__test_harness.html#occt_draw_9_1_3", null ],
          [ "comtol", "occt_user_guides__test_harness.html#occt_draw_9_1_4", null ],
          [ "convtorevol", "occt_user_guides__test_harness.html#occt_draw_9_1_5", null ],
          [ "directfaces", "occt_user_guides__test_harness.html#occt_draw_9_1_6", null ],
          [ "expshape", "occt_user_guides__test_harness.html#occt_draw_9_1_7", null ],
          [ "fixsmall", "occt_user_guides__test_harness.html#occt_draw_9_1_8", null ],
          [ "fixsmalledges", "occt_user_guides__test_harness.html#occt_draw_9_1_9", null ],
          [ "fixshape", "occt_user_guides__test_harness.html#occt_draw_9_1_10", null ],
          [ "fixwgaps", "occt_user_guides__test_harness.html#occt_draw_9_1_11", null ],
          [ "offsetcurve, offset2dcurve", "occt_user_guides__test_harness.html#occt_draw_9_1_12", null ],
          [ "projcurve", "occt_user_guides__test_harness.html#occt_draw_9_1_13", null ],
          [ "projpcurve", "occt_user_guides__test_harness.html#occt_draw_9_1_14", null ],
          [ "projface", "occt_user_guides__test_harness.html#occt_draw_9_1_15", null ],
          [ "scaleshape", "occt_user_guides__test_harness.html#occt_draw_9_1_16", null ],
          [ "settolerance", "occt_user_guides__test_harness.html#occt_draw_9_1_17", null ],
          [ "splitface", "occt_user_guides__test_harness.html#occt_draw_9_1_18", null ],
          [ "statshape", "occt_user_guides__test_harness.html#occt_draw_9_1_19", null ],
          [ "tolerance", "occt_user_guides__test_harness.html#occt_draw_9_1_20", null ]
        ] ],
        [ "Conversion commands", "occt_user_guides__test_harness.html#occt_draw_9_2", [
          [ "DT_ClosedSplit", "occt_user_guides__test_harness.html#occt_draw_9_2_1", null ],
          [ "DT_ShapeConvert, DT_ShapeConvertRev", "occt_user_guides__test_harness.html#occt_draw_9_2_2", null ],
          [ "DT_ShapeDivide", "occt_user_guides__test_harness.html#occt_draw_9_2_3", null ],
          [ "DT_SplitAngle", "occt_user_guides__test_harness.html#occt_draw_9_2_4", null ],
          [ "DT_SplitCurve", "occt_user_guides__test_harness.html#occt_draw_9_2_5", null ],
          [ "DT_SplitCurve2d", "occt_user_guides__test_harness.html#occt_draw_9_2_6", null ],
          [ "DT_SplitSurface", "occt_user_guides__test_harness.html#occt_draw_9_2_7", null ],
          [ "DT_ToBspl", "occt_user_guides__test_harness.html#occt_draw_9_2_8", null ]
        ] ]
      ] ],
      [ "Performance evaluation commands", "occt_user_guides__test_harness.html#occt_draw_10", [
        [ "VDrawSphere", "occt_user_guides__test_harness.html#occt_draw_10_1", null ]
      ] ],
      [ "Simple vector algebra and measurements", "occt_user_guides__test_harness.html#occt_draw_12", [
        [ "Vector algebra commands", "occt_user_guides__test_harness.html#occt_draw_12_1", [
          [ "vec", "occt_user_guides__test_harness.html#occt_draw_12_1_1", null ],
          [ "2dvec", "occt_user_guides__test_harness.html#occt_draw_12_1_2", null ],
          [ "pln", "occt_user_guides__test_harness.html#occt_draw_12_1_3", null ],
          [ "module", "occt_user_guides__test_harness.html#occt_draw_12_1_4", null ],
          [ "2dmodule", "occt_user_guides__test_harness.html#occt_draw_12_1_5", null ],
          [ "norm", "occt_user_guides__test_harness.html#occt_draw_12_1_6", null ],
          [ "2dnorm", "occt_user_guides__test_harness.html#occt_draw_12_1_7", null ],
          [ "inverse", "occt_user_guides__test_harness.html#occt_draw_12_1_8", null ],
          [ "2dinverse", "occt_user_guides__test_harness.html#occt_draw_12_1_9", null ],
          [ "2dort", "occt_user_guides__test_harness.html#occt_draw_12_1_10", null ],
          [ "distpp", "occt_user_guides__test_harness.html#occt_draw_12_1_11", null ],
          [ "2ddistpp", "occt_user_guides__test_harness.html#occt_draw_12_1_12", null ],
          [ "distplp", "occt_user_guides__test_harness.html#occt_draw_12_1_13", null ],
          [ "distlp", "occt_user_guides__test_harness.html#occt_draw_12_1_14", null ],
          [ "2ddistlp", "occt_user_guides__test_harness.html#occt_draw_12_1_15", null ],
          [ "distppp", "occt_user_guides__test_harness.html#occt_draw_12_1_16", null ],
          [ "2ddistppp", "occt_user_guides__test_harness.html#occt_draw_12_1_17", null ],
          [ "barycen", "occt_user_guides__test_harness.html#occt_draw_12_1_18", null ],
          [ "2dbarycen", "occt_user_guides__test_harness.html#occt_draw_12_1_19", null ],
          [ "cross", "occt_user_guides__test_harness.html#occt_draw_12_1_20", null ],
          [ "2dcross", "occt_user_guides__test_harness.html#occt_draw_12_1_21", null ],
          [ "dot", "occt_user_guides__test_harness.html#occt_draw_12_1_22", null ],
          [ "2ddot", "occt_user_guides__test_harness.html#occt_draw_12_1_23", null ],
          [ "scale", "occt_user_guides__test_harness.html#occt_draw_12_1_24", null ],
          [ "2dscale", "occt_user_guides__test_harness.html#occt_draw_12_1_25", null ]
        ] ],
        [ "Measurements commands", "occt_user_guides__test_harness.html#occt_draw_12_2", [
          [ "pnt", "occt_user_guides__test_harness.html#occt_draw_12_2_1", null ],
          [ "pntc", "occt_user_guides__test_harness.html#occt_draw_12_2_2", null ],
          [ "2dpntc", "occt_user_guides__test_harness.html#occt_draw_12_2_3", null ],
          [ "pntsu", "occt_user_guides__test_harness.html#occt_draw_12_2_4", null ],
          [ "pntcons", "occt_user_guides__test_harness.html#occt_draw_12_2_5", null ],
          [ "drseg", "occt_user_guides__test_harness.html#occt_draw_12_2_6", null ],
          [ "2ddrseg", "occt_user_guides__test_harness.html#occt_draw_12_2_7", null ],
          [ "mpick", "occt_user_guides__test_harness.html#occt_draw_12_2_8", null ],
          [ "mdist", "occt_user_guides__test_harness.html#occt_draw_12_2_9", null ]
        ] ]
      ] ],
      [ "Inspector commands", "occt_user_guides__test_harness.html#occt_draw_13", [
        [ "tinspector", "occt_user_guides__test_harness.html#occt_draw_13_1", null ]
      ] ],
      [ "Extending Test Harness with custom commands", "occt_user_guides__test_harness.html#occt_draw_11", [
        [ "Custom command implementation", "occt_user_guides__test_harness.html#occt_draw_11_1", null ],
        [ "Registration of commands in Test Harness", "occt_user_guides__test_harness.html#occt_draw_11_2", null ],
        [ "Creating a toolkit (library) as a plug-in", "occt_user_guides__test_harness.html#occt_draw_11_3", null ],
        [ "Creation of the plug-in resource file", "occt_user_guides__test_harness.html#occt_draw_11_4", null ],
        [ "Dynamic loading and activation", "occt_user_guides__test_harness.html#occt_draw_11_5", null ]
      ] ]
    ] ],
    [ "Inspector", "occt_user_guides__inspector.html", [
      [ "Introduction", "occt_user_guides__inspector.html#occt_inspector_1", [
        [ "Overview", "occt_user_guides__inspector.html#occt_inspector_1_1", null ],
        [ "Getting started", "occt_user_guides__inspector.html#occt_inspector_1_3", null ]
      ] ],
      [ "Inspector Plugins", "occt_user_guides__inspector.html#occt_inspector_2", [
        [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_1", null ],
        [ "DFBrowser Plugin", "occt_user_guides__inspector.html#occt_inspector_2_2", [
          [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_2_1", null ],
          [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_2_2", null ],
          [ "Elements cooperation", "occt_user_guides__inspector.html#occt_inspector_2_2_3", null ],
          [ "TopoDS_Shape export", "occt_user_guides__inspector.html#occt_shape_export", null ]
        ] ],
        [ "VInspector Plugin", "occt_user_guides__inspector.html#occt_inspector_2_3", [
          [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_3_1", null ],
          [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_3_2", null ],
          [ "Elements cooperation", "occt_user_guides__inspector.html#occt_inspector_2_3_3", null ],
          [ "VInspector tree view columns", "occt_user_guides__inspector.html#occt_inspector_2_3_4", null ]
        ] ],
        [ "ShapeView Plugin", "occt_user_guides__inspector.html#occt_inspector_2_4", [
          [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_4_1", null ],
          [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_4_2", null ],
          [ "Elements cooperation", "occt_user_guides__inspector.html#occt_inspector_2_4_3", null ],
          [ "ShapeView tree view columns", "occt_user_guides__inspector.html#occt_inspector_2_4_4", null ]
        ] ]
      ] ],
      [ "Common controls", "occt_user_guides__inspector.html#occt_inspector_3", [
        [ "Tree View", "occt_user_guides__inspector.html#occt_inspector_3_1", [
          [ "Tree View preferences", "occt_user_guides__inspector.html#occt_inspector_3_1_1", null ]
        ] ],
        [ "3D View", "occt_user_guides__inspector.html#occt_inspector_3_2", [
          [ "Overview", "occt_user_guides__inspector.html#occt_inspector_3_2_1", null ],
          [ "Elements", "occt_user_guides__inspector.html#occt_inspector_3_2_2", null ],
          [ "3D View preferences.", "occt_user_guides__inspector.html#occt_inspector_3_2_3", null ]
        ] ],
        [ "Preferences context menu", "occt_user_guides__inspector.html#occt_inspector_3_3", null ]
      ] ],
      [ "Getting Started", "occt_user_guides__inspector.html#occt_inspector_4", [
        [ "TInspectorEXE sample", "occt_user_guides__inspector.html#occt_inspector_4_1", [
          [ "TInspectorEXE preferences", "occt_user_guides__inspector.html#occt_inspector_4_1_1", null ]
        ] ],
        [ "How to launch the Inspector in DRAW Test Harness", "occt_user_guides__inspector.html#occt_inspector_4_2", null ],
        [ "How to use the Inspector in a custom application", "occt_user_guides__inspector.html#occt_inspector_4_3", null ]
      ] ],
      [ "Build procedure", "occt_user_guides__inspector.html#occt_inspector_5", [
        [ "Building with CMake within OCCT", "occt_user_guides__inspector.html#occt_inspector_5_1", null ]
      ] ],
      [ "Sources and packaging", "occt_user_guides__inspector.html#occt_inspector_6", null ],
      [ "Glossary", "occt_user_guides__inspector.html#occt_inspector_7", null ]
    ] ]
];