var contribution =
[
    [ "Contribution Workflow", "occt_contribution__contribution_workflow.html", [
      [ "Introduction", "occt_contribution__contribution_workflow.html#occt_contribution_intro", [
        [ "Use of issue tracker system", "occt_contribution__contribution_workflow.html#occt_contribution_intro_tracker", null ],
        [ "Access levels", "occt_contribution__contribution_workflow.html#occt_contribution_intro_access", null ]
      ] ],
      [ "Standard workflow for an issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow", [
        [ "General scheme", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_general", null ],
        [ "Issue registration", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_issue", null ],
        [ "Assigning the issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_assign", null ],
        [ "Resolving the issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix", [
          [ "Requirements to the code modification", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_code", null ],
          [ "Providing a test case", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_test", null ],
          [ "Updating user and developer guides", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_doc", null ],
          [ "Submission of change as a Git branch", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_git", null ],
          [ "Requirements to the commit message", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_commit", null ],
          [ "Marking issue as resolved", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_resolve", null ]
        ] ],
        [ "Code review", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_review", null ],
        [ "Testing", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_test", null ],
        [ "Integration of a solution", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_integrate", null ],
        [ "Closing an issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_close", null ]
      ] ],
      [ "Additional workflow elements", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd", [
        [ "Requesting more information or specific action", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_feedback", null ],
        [ "Defining relationships between issues", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_relate", null ],
        [ "Submission of a change as a patch", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_patch", null ],
        [ "Updating branches in Git", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_rebase", null ],
        [ "Minor corrections", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_minor", null ],
        [ "Handling non-reproducible issues", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_autofix", null ]
      ] ],
      [ "Appendix: Issue attributes", "occt_contribution__contribution_workflow.html#occt_contribution_app", [
        [ "Category", "occt_contribution__contribution_workflow.html#occt_contribution_app_category", null ],
        [ "Severity", "occt_contribution__contribution_workflow.html#occt_contribution_app_severity", null ],
        [ "Status", "occt_contribution__contribution_workflow.html#occt_contribution_app_status", null ],
        [ "Resolution", "occt_contribution__contribution_workflow.html#occt_contribution_app_resolution", null ]
      ] ]
    ] ],
    [ "Guide to installing and using Git for OCCT development", "occt_contribution__git_guide.html", [
      [ "Overview", "occt_contribution__git_guide.html#occt_gitguide_1", [
        [ "Purpose", "occt_contribution__git_guide.html#occt_gitguide_1_1", null ],
        [ "Git URL", "occt_contribution__git_guide.html#occt_gitguide_1_2", null ],
        [ "Content", "occt_contribution__git_guide.html#occt_gitguide_1_3", null ],
        [ "Short rules of use", "occt_contribution__git_guide.html#occt_gitguide_1_4", null ],
        [ "Version of Git", "occt_contribution__git_guide.html#occt_gitguide_1_5", null ]
      ] ],
      [ "Installing Tools for Work with Git", "occt_contribution__git_guide.html#occt_gitguide_2", [
        [ "Windows platform", "occt_contribution__git_guide.html#occt_gitguide_2_1", [
          [ "Installation of Git for Windows", "occt_contribution__git_guide.html#occt_gitguide_2_1_1", null ],
          [ "Installation and configuration of TortoiseGit", "occt_contribution__git_guide.html#occt_gitguide_2_1_2", null ]
        ] ],
        [ "Linux platform", "occt_contribution__git_guide.html#occt_gitguide_2_2", null ]
      ] ],
      [ "Getting access to the repository", "occt_contribution__git_guide.html#occt_gitguide_3", [
        [ "Prerequisites", "occt_contribution__git_guide.html#occt_gitguide_3_1", null ],
        [ "How to generate a key", "occt_contribution__git_guide.html#occt_gitguide_3_2", [
          [ "Generating key with Putty", "occt_contribution__git_guide.html#occt_gitguide_3_2_1", null ],
          [ "Generating key with command-line tools", "occt_contribution__git_guide.html#occt_gitguide_3_2_2", null ],
          [ "Generating key with Git GUI", "occt_contribution__git_guide.html#occt_gitguide_3_2_3", null ]
        ] ],
        [ "Adding public key in your account", "occt_contribution__git_guide.html#occt_gitguide_3_3", null ]
      ] ],
      [ "Work with repository: developer operations", "occt_contribution__git_guide.html#occt_gitguide_4", [
        [ "General workflow", "occt_contribution__git_guide.html#occt_gitguide_4_1", null ],
        [ "Cloning official repository", "occt_contribution__git_guide.html#occt_gitguide_4_2", null ],
        [ "Branch creation", "occt_contribution__git_guide.html#occt_gitguide_4_3", null ],
        [ "Branch switching", "occt_contribution__git_guide.html#occt_gitguide_4_4", null ],
        [ "Committing branch changes", "occt_contribution__git_guide.html#occt_gitguide_4_5", null ],
        [ "Pushing branch to the remote repository", "occt_contribution__git_guide.html#occt_gitguide_4_6", null ],
        [ "Synchronizing with remote repository", "occt_contribution__git_guide.html#occt_gitguide_4_7", null ],
        [ "Applying a fix made on older version of OCCT", "occt_contribution__git_guide.html#occt_gitguide_4_8", null ],
        [ "Rebasing with history clean-up", "occt_contribution__git_guide.html#occt_gitguide_4_9", null ]
      ] ],
      [ "Work with repository: Reviewer operations", "occt_contribution__git_guide.html#occt_gitguide_5", [
        [ "Review branch changes using GitWeb", "occt_contribution__git_guide.html#occt_gitguide_5_1", null ],
        [ "Review branch changes with TortoiseGit", "occt_contribution__git_guide.html#occt_gitguide_5_2", null ]
      ] ]
    ] ],
    [ "Coding Rules", "occt_contribution__coding_rules.html", [
      [ "Introduction", "occt_contribution__coding_rules.html#occt_coding_rules_1", [
        [ "Scope of the document", "occt_contribution__coding_rules.html#occt_coding_rules_1_1", null ]
      ] ],
      [ "Naming Conventions", "occt_contribution__coding_rules.html#occt_coding_rules_2", [
        [ "General naming rules", "occt_contribution__coding_rules.html#occt_coding_rules_2_1", null ],
        [ "International language [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md341", null ],
        [ "Meaningful names", "occt_contribution__coding_rules.html#autotoc_md342", null ],
        [ "Related names", "occt_contribution__coding_rules.html#autotoc_md343", null ],
        [ "Camel Case style", "occt_contribution__coding_rules.html#autotoc_md344", null ],
        [ "Names of development units", "occt_contribution__coding_rules.html#occt_coding_rules_2_2", null ],
        [ "No underscores in unit names [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md345", null ],
        [ "File name extensions [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md346", null ],
        [ "Prefix for toolkit names [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md347", null ],
        [ "Names of public types", "occt_contribution__coding_rules.html#autotoc_md348", null ],
        [ "Names of functions", "occt_contribution__coding_rules.html#autotoc_md349", null ],
        [ "Names of variables", "occt_contribution__coding_rules.html#occt_coding_rules_2_3", null ],
        [ "Naming of variables", "occt_contribution__coding_rules.html#autotoc_md350", null ],
        [ "Names of function parameters", "occt_contribution__coding_rules.html#autotoc_md351", null ],
        [ "Names of class member variables", "occt_contribution__coding_rules.html#autotoc_md352", null ],
        [ "Names of global variables", "occt_contribution__coding_rules.html#autotoc_md353", null ],
        [ "Names of local variables", "occt_contribution__coding_rules.html#autotoc_md354", null ],
        [ "Avoid dummy names", "occt_contribution__coding_rules.html#autotoc_md355", null ]
      ] ],
      [ "Formatting rules", "occt_contribution__coding_rules.html#occt_coding_rules_3", [
        [ "International language [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md356", null ],
        [ "Line length", "occt_contribution__coding_rules.html#autotoc_md357", null ],
        [ "C++ style comments", "occt_contribution__coding_rules.html#autotoc_md358", null ],
        [ "Commenting out unused code", "occt_contribution__coding_rules.html#autotoc_md359", null ],
        [ "Indentation in sources [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md360", null ],
        [ "Separating spaces", "occt_contribution__coding_rules.html#autotoc_md361", null ],
        [ "Declaration of pointers and references", "occt_contribution__coding_rules.html#autotoc_md362", null ],
        [ "Separate logical blocks", "occt_contribution__coding_rules.html#autotoc_md363", null ],
        [ "Separate function bodies [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md364", null ],
        [ "Block layout [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md365", null ],
        [ "Single-line operators", "occt_contribution__coding_rules.html#autotoc_md366", null ],
        [ "Comparison expressions with constants", "occt_contribution__coding_rules.html#autotoc_md367", null ],
        [ "Alignment", "occt_contribution__coding_rules.html#autotoc_md368", null ],
        [ "Indentation of comments", "occt_contribution__coding_rules.html#autotoc_md369", null ],
        [ "Early return statement", "occt_contribution__coding_rules.html#autotoc_md370", null ],
        [ "Trailing spaces", "occt_contribution__coding_rules.html#autotoc_md371", null ],
        [ "Headers order", "occt_contribution__coding_rules.html#autotoc_md372", null ]
      ] ],
      [ "Documentation rules", "occt_contribution__coding_rules.html#occt_coding_rules_4", [
        [ "Documenting classes [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md373", null ],
        [ "Documenting class methods [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md374", null ],
        [ "Documenting C/C++ sources", "occt_contribution__coding_rules.html#autotoc_md375", null ]
      ] ],
      [ "Application design", "occt_contribution__coding_rules.html#occt_coding_rules_5", [
        [ "Allow possible inheritance", "occt_contribution__coding_rules.html#autotoc_md376", null ],
        [ "Avoid friend declarations", "occt_contribution__coding_rules.html#autotoc_md377", null ],
        [ "Set/get methods", "occt_contribution__coding_rules.html#autotoc_md378", null ],
        [ "Hiding virtual functions [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md379", null ],
        [ "Avoid mixing error reporting strategies", "occt_contribution__coding_rules.html#autotoc_md380", null ],
        [ "Minimize compiler warnings [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md381", null ],
        [ "Avoid unnecessary inclusions", "occt_contribution__coding_rules.html#autotoc_md382", null ]
      ] ],
      [ "General C/C++ rules", "occt_contribution__coding_rules.html#occt_coding_rules_6", [
        [ "Wrapping of global variables [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md383", null ],
        [ "Avoid private members", "occt_contribution__coding_rules.html#autotoc_md384", null ],
        [ "Constants and inlines over defines [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md385", null ],
        [ "Avoid explicit numerical values [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md386", null ],
        [ "Three mandatory methods", "occt_contribution__coding_rules.html#autotoc_md387", null ],
        [ "Virtual destructor", "occt_contribution__coding_rules.html#autotoc_md388", null ],
        [ "Overriding virtual methods", "occt_contribution__coding_rules.html#autotoc_md389", null ],
        [ "Default parameter value", "occt_contribution__coding_rules.html#autotoc_md390", null ],
        [ "Use const modifier", "occt_contribution__coding_rules.html#autotoc_md391", null ],
        [ "Usage of goto [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md392", null ],
        [ "Declaring variable in for() header", "occt_contribution__coding_rules.html#autotoc_md393", null ],
        [ "Condition statements within zero", "occt_contribution__coding_rules.html#autotoc_md394", null ]
      ] ],
      [ "Portability issues", "occt_contribution__coding_rules.html#occt_coding_rules_7", [
        [ "Provide code portability [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md395", null ],
        [ "Avoid usage of global variables [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md396", null ],
        [ "Avoid explicit basic types", "occt_contribution__coding_rules.html#autotoc_md397", null ],
        [ "Use <em>sizeof()</em> to calculate sizes [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md398", null ],
        [ "Empty line at the end of file [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md399", null ]
      ] ],
      [ "Stability issues", "occt_contribution__coding_rules.html#occt_coding_rules_8", [
        [ "Use <em>OSD::SetSignal()</em> to catch exceptions", "occt_contribution__coding_rules.html#autotoc_md400", null ],
        [ "Cross-referenced handles", "occt_contribution__coding_rules.html#autotoc_md401", null ],
        [ "C++ memory allocation", "occt_contribution__coding_rules.html#autotoc_md402", null ],
        [ "Match <em>new</em> and <em>delete</em> [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md403", null ],
        [ "Methods managing dynamical allocation [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md404", null ],
        [ "Uninitialized variables [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md405", null ],
        [ "Do not hide global <em>new</em>", "occt_contribution__coding_rules.html#autotoc_md406", null ],
        [ "Assignment operator", "occt_contribution__coding_rules.html#autotoc_md407", null ],
        [ "Float comparison", "occt_contribution__coding_rules.html#autotoc_md408", null ],
        [ "Non-indexed iteration", "occt_contribution__coding_rules.html#autotoc_md409", null ],
        [ "Do not throw in destructors", "occt_contribution__coding_rules.html#autotoc_md410", null ],
        [ "Assigning to reference [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md411", null ]
      ] ],
      [ "Performance issues", "occt_contribution__coding_rules.html#occt_coding_rules_9", [
        [ "Class fields alignment", "occt_contribution__coding_rules.html#autotoc_md412", null ],
        [ "Fields initialization order [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md413", null ],
        [ "Initialization over assignment", "occt_contribution__coding_rules.html#autotoc_md414", null ],
        [ "Optimize caching", "occt_contribution__coding_rules.html#autotoc_md415", null ]
      ] ],
      [ "Draw Harness command", "occt_contribution__coding_rules.html#occt_coding_rules_10", [
        [ "Return value", "occt_contribution__coding_rules.html#autotoc_md416", null ],
        [ "Validate input parameters", "occt_contribution__coding_rules.html#autotoc_md417", null ],
        [ "Validate the number of input parameters", "occt_contribution__coding_rules.html#autotoc_md418", null ],
        [ "Message printing", "occt_contribution__coding_rules.html#autotoc_md419", null ],
        [ "Long list of arguments", "occt_contribution__coding_rules.html#autotoc_md420", null ],
        [ "Arguments parser", "occt_contribution__coding_rules.html#autotoc_md421", null ]
      ] ],
      [ "Examples", "occt_contribution__coding_rules.html#occt_coding_rules_11", [
        [ "Sample documented class", "occt_contribution__coding_rules.html#autotoc_md422", null ],
        [ "TCL script for Draw Harness", "occt_contribution__coding_rules.html#autotoc_md423", null ],
        [ "GLSL program:", "occt_contribution__coding_rules.html#autotoc_md424", null ]
      ] ]
    ] ],
    [ "Automated Testing System", "occt_contribution__tests.html", [
      [ "Introduction", "occt_contribution__tests.html#testmanual_intro", [
        [ "Basic Information", "occt_contribution__tests.html#testmanual_intro_basic", null ],
        [ "Intended Use of Automatic Tests", "occt_contribution__tests.html#testmanual_1_2", null ],
        [ "Quick Start", "occt_contribution__tests.html#testmanual_1_3", [
          [ "Setup", "occt_contribution__tests.html#testmanual_1_3_1", null ],
          [ "Running Tests", "occt_contribution__tests.html#testmanual_1_3_2", null ],
          [ "Running a Single Test", "occt_contribution__tests.html#testmanual_1_3_3", null ],
          [ "Creating a New Test", "occt_contribution__tests.html#testmanual_intro_quick_create", null ]
        ] ]
      ] ],
      [ "Organization of Test Scripts", "occt_contribution__tests.html#testmanual_2", [
        [ "General Layout", "occt_contribution__tests.html#testmanual_2_1", null ],
        [ "Test Groups", "occt_contribution__tests.html#testmanual_2_2", [
          [ "Group Names", "occt_contribution__tests.html#testmanual_2_2_1", null ],
          [ "File \"grids.list\"", "occt_contribution__tests.html#testmanual_2_2_2", null ],
          [ "File \"begin\"", "occt_contribution__tests.html#testmanual_2_2_3", null ],
          [ "File \"end\"", "occt_contribution__tests.html#testmanual_2_2_4", null ],
          [ "File \"parse.rules\"", "occt_contribution__tests.html#testmanual_2_2_5", null ],
          [ "Directory \"data\"", "occt_contribution__tests.html#testmanual_2_2_6", null ]
        ] ],
        [ "Test Grids", "occt_contribution__tests.html#testmanual_2_3", [
          [ "Grid Names", "occt_contribution__tests.html#testmanual_2_3_1", null ],
          [ "File \"begin\"", "occt_contribution__tests.html#testmanual_2_3_2", null ],
          [ "File \"end\"", "occt_contribution__tests.html#testmanual_2_3_3", null ],
          [ "File \"cases.list\"", "occt_contribution__tests.html#testmanual_2_3_4", null ],
          [ "Directory \"data\"", "occt_contribution__tests.html#testmanual_2_3_5", null ]
        ] ],
        [ "Test Cases", "occt_contribution__tests.html#testmanual_2_4", null ]
      ] ],
      [ "Creation And Modification Of Tests", "occt_contribution__tests.html#testmanual_3", [
        [ "Choosing Group, Grid, and Test Case Name", "occt_contribution__tests.html#testmanual_3_1", null ],
        [ "Adding Data Files Required for a Test", "occt_contribution__tests.html#testmanual_3_2", null ],
        [ "Adding new DRAW commands", "occt_contribution__tests.html#testmanual_3_3", null ],
        [ "Script Implementation", "occt_contribution__tests.html#testmanual_3_4", null ],
        [ "Interpretation of test results", "occt_contribution__tests.html#testmanual_details_results", null ],
        [ "Marking BAD cases", "occt_contribution__tests.html#testmanual_3_6", null ],
        [ "Marking required output", "occt_contribution__tests.html#testmanual_3_7", null ]
      ] ],
      [ "Advanced Use", "occt_contribution__tests.html#testmanual_4", [
        [ "Running Tests on Older Versions of OCCT", "occt_contribution__tests.html#testmanual_4_1", null ],
        [ "Adding custom tests", "occt_contribution__tests.html#testmanual_4_2", null ],
        [ "Parallel execution of tests", "occt_contribution__tests.html#testmanual_4_3", null ],
        [ "Checking non-regression of performance, memory, and visualization", "occt_contribution__tests.html#testmanual_4_4", null ]
      ] ],
      [ "APPENDIX", "occt_contribution__tests.html#testmanual_5", [
        [ "Test groups", "occt_contribution__tests.html#testmanual_5_1", [
          [ "3rdparty", "occt_contribution__tests.html#testmanual_5_1_1", null ],
          [ "blend", "occt_contribution__tests.html#testmanual_5_1_2", null ],
          [ "boolean", "occt_contribution__tests.html#testmanual_5_1_3", null ],
          [ "bugs", "occt_contribution__tests.html#testmanual_5_1_4", null ],
          [ "caf", "occt_contribution__tests.html#testmanual_5_1_5", null ],
          [ "chamfer", "occt_contribution__tests.html#testmanual_5_1_6", null ],
          [ "de", "occt_contribution__tests.html#testmanual_5_1_7", null ],
          [ "demo", "occt_contribution__tests.html#testmanual_5_1_8", null ],
          [ "draft", "occt_contribution__tests.html#testmanual_5_1_9", null ],
          [ "feat", "occt_contribution__tests.html#testmanual_5_1_10", null ],
          [ "heal", "occt_contribution__tests.html#testmanual_5_1_11", null ],
          [ "mesh", "occt_contribution__tests.html#testmanual_5_1_12", null ],
          [ "mkface", "occt_contribution__tests.html#testmanual_5_1_13", null ],
          [ "nproject", "occt_contribution__tests.html#testmanual_5_1_14", null ],
          [ "offset", "occt_contribution__tests.html#testmanual_5_1_15", null ],
          [ "pipe", "occt_contribution__tests.html#testmanual_5_1_16", null ],
          [ "prism", "occt_contribution__tests.html#testmanual_5_1_17", null ],
          [ "sewing", "occt_contribution__tests.html#testmanual_5_1_18", null ],
          [ "thrusection", "occt_contribution__tests.html#testmanual_5_1_19", null ],
          [ "xcaf", "occt_contribution__tests.html#testmanual_5_1_20", null ]
        ] ],
        [ "Mapping of OCCT functionality to grid names in group <em>bugs</em>", "occt_contribution__tests.html#testmanual_5_2", null ],
        [ "Recommended approaches to checking test results", "occt_contribution__tests.html#testmanual_5_3", [
          [ "Shape validity", "occt_contribution__tests.html#testmanual_5_3_1", null ],
          [ "Shape tolerance", "occt_contribution__tests.html#testmanual_5_3_2", null ],
          [ "Shape volume, area, or length", "occt_contribution__tests.html#testmanual_5_3_3", null ],
          [ "Memory leaks", "occt_contribution__tests.html#testmanual_5_3_4", null ],
          [ "Visualization", "occt_contribution__tests.html#testmanual_5_3_5", null ],
          [ "Number of free edges", "occt_contribution__tests.html#testmanual_5_3_6", null ],
          [ "Compare numbers", "occt_contribution__tests.html#testmanual_5_3_7", null ],
          [ "Check number of sub-shapes", "occt_contribution__tests.html#testmanual_5_3_8", null ],
          [ "Check pixel color", "occt_contribution__tests.html#testmanual_5_3_9", null ],
          [ "Compute length, area and volume of input shape", "occt_contribution__tests.html#testmanual_5_3_10", null ],
          [ "Parse output dump and compare it with reference values", "occt_contribution__tests.html#testmanual_5_3_11", null ],
          [ "Compute length of input curve", "occt_contribution__tests.html#testmanual_5_3_12", null ],
          [ "Check maximum deflection, number of triangles and nodes in mesh", "occt_contribution__tests.html#testmanual_5_3_13", null ]
        ] ]
      ] ]
    ] ],
    [ "Documentation System", "occt_contribution__documentation.html", [
      [ "Introduction", "occt_contribution__documentation.html#OCCT_DM_SECTION_1", null ],
      [ "Prerequisites", "occt_contribution__documentation.html#OCCT_DM_SECTION_2", null ],
      [ "Documentation Generation", "occt_contribution__documentation.html#OCCT_DM_SECTION_2_1", null ],
      [ "Documentation Conventions", "occt_contribution__documentation.html#OCCT_DM_SECTION_3", [
        [ "File Format", "occt_contribution__documentation.html#OCCT_DM_SECTION_3_1", null ],
        [ "Directory Structure", "occt_contribution__documentation.html#OCCT_DM_SECTION_3_2", null ]
      ] ],
      [ "Adding a New Document", "occt_contribution__documentation.html#OCCT_DM_SECTION_4", null ],
      [ "Additional Resources", "occt_contribution__documentation.html#OCCT_DOC_SECTION_5", null ],
      [ "Appendix 1: Document Syntax", "occt_contribution__documentation.html#OCCT_DM_SECTION_A", [
        [ "Headers and hierarchic document structure", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_1", null ],
        [ "Plain Text", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_2", null ],
        [ "Lists", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_3", null ],
        [ "Tables", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_4", null ],
        [ "Code Blocks", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_5", null ],
        [ "Quotes", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_5a", null ],
        [ "References", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_6", null ],
        [ "Images", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_7", null ],
        [ "Table Of Contents", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_8", null ],
        [ "Formulas", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_9", null ]
      ] ]
    ] ]
];